Bug 141364 - Update port: net-mgmt/zabbix to 1.8
Summary: Update port: net-mgmt/zabbix to 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-11 10:10 UTC by Andrey Lykhin
Modified: 2009-12-13 22:40 UTC (History)
1 user (show)

See Also:


Attachments
patch-zabbix18 (926 bytes, text/plain)
2009-12-11 10:10 UTC, Andrey Lykhin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Lykhin 2009-12-11 10:10:04 UTC
	Update port: net-mgmt/zabbix to 1.8
Comment 1 Edwin Groothuis freebsd_committer 2009-12-11 10:10:12 UTC
Maintainer of net-mgmt/zabbix,

Please note that PR ports/141364 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141364

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-12-11 10:10:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jim Riggs 2009-12-11 13:56:49 UTC
I am working on a major update to the zabbix ports, which includes =
version 1.8, splitting off zabbix-1.6 (for those who can't upgrade yet), =
and breaking the current zabbix port into separate ports for the server, =
proxy, and frontend.  I am doing final testing right now and hope to =
submit the update very shortly.
Comment 4 Pav Lucistnik freebsd_committer 2009-12-11 14:20:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take
Comment 5 Jim Riggs 2009-12-11 15:19:42 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/141364: Update port: net-mgmt/zabbix to 1.8
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
This is a significant update to the zabbix and zabbix-agent ports
(pretty much a complete rewrite).  It uses master/slave ports and
splits zabbix into zabbix-server, zabbix-proxy, and zabbix-frontend.
It also updates to version 1.8 but creates new zabbix16-* ports to
support those who cannot yet upgrade from version 1.6.

The attached shar contains all of the updates for all of these ports.
It also includes updates in UPDATING and MOVED.
>How-To-Repeat:
>Fix:

--- zabbix.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	MOVED
#	UPDATING
#	net-mgmt
#	net-mgmt/zabbix-agent
#	net-mgmt/zabbix-agent/Makefile
#	net-mgmt/zabbix-frontend
#	net-mgmt/zabbix-frontend/Makefile
#	net-mgmt/zabbix-proxy
#	net-mgmt/zabbix-proxy/Makefile
#	net-mgmt/zabbix-server
#	net-mgmt/zabbix-server/files
#	net-mgmt/zabbix-server/files/pkg-message.in
#	net-mgmt/zabbix-server/files/zabbix_proxy.in
#	net-mgmt/zabbix-server/files/zabbix_server.in
#	net-mgmt/zabbix-server/files/zabbix_agentd.in
#	net-mgmt/zabbix-server/files/patch-src:zabbix_sender:Makefile.in
#	net-mgmt/zabbix-server/files/patch-src:zabbix_get:Makefile.in
#	net-mgmt/zabbix-server/Makefile
#	net-mgmt/zabbix-server/distinfo
#	net-mgmt/zabbix-server/pkg-descr
#	net-mgmt/zabbix-server/pkg-plist
#	net-mgmt/zabbix-server/pkg-plist.frontend
#	net-mgmt/zabbix-server/pkg-plist.agent
#	net-mgmt/zabbix16-agent
#	net-mgmt/zabbix16-agent/Makefile
#	net-mgmt/zabbix16-frontend
#	net-mgmt/zabbix16-frontend/Makefile
#	net-mgmt/zabbix16-proxy
#	net-mgmt/zabbix16-proxy/Makefile
#	net-mgmt/zabbix16-server
#	net-mgmt/zabbix16-server/files
#	net-mgmt/zabbix16-server/files/pkg-message.in
#	net-mgmt/zabbix16-server/files/zabbix_proxy.in
#	net-mgmt/zabbix16-server/files/zabbix_server.in
#	net-mgmt/zabbix16-server/files/zabbix_agentd.in
#	net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in
#	net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in
#	net-mgmt/zabbix16-server/Makefile
#	net-mgmt/zabbix16-server/distinfo
#	net-mgmt/zabbix16-server/pkg-plist
#	net-mgmt/zabbix16-server/pkg-plist.frontend
#	net-mgmt/zabbix16-server/pkg-plist.agent
#	net-mgmt/zabbix16-server/pkg-descr
#
echo x - MOVED
sed 's/^X//' >MOVED << 'END-of-MOVED'
Xnet-mgmt/zabbix|net-mgmt/zabbix-server|2009-12-11|port was split into three components
END-of-MOVED
echo x - UPDATING
sed 's/^X//' >UPDATING << 'END-of-UPDATING'
X20091211
X  AFFECTS: users of net-mgmt/zabbix, net-mgmt/zabbix-agent
X  AUTHOR: Jim Riggs <ports@christianserving.org>
X
X  In order to simplify configuration and better separate the different
X  components of Zabbix, the former zabbix port has been split into
X  three: zabbix-server, zabbix-proxy, and zabbix-frontend.  Each
X  component has distinct functionality and may be installed
X  independently on separate systems.  The existing zabbix-agent port
X  remains.
X
X  Additionally, the new zabbix-frontend port now (correctly) installs
X  the PHP frontend in PREFIX/www/zabbix.  The old zabbix port
X  installed the files in PREFIX/share/zabbix/php.  Web server
X  configurations must be updated accordingly.
X
X  Finally, Zabbix has been updated to version 1.8.  Not everyone may
X  be able to upgradee from version 1.6 immediately, though, so 1.6.8
X  versions of the ports are also available as zabbix16-server,
X  zabbix16-proxy, zabbix16-agent, and zabbix16-frontend.
END-of-UPDATING
echo c - net-mgmt
mkdir -p net-mgmt > /dev/null 2>&1
echo c - net-mgmt/zabbix-agent
mkdir -p net-mgmt/zabbix-agent > /dev/null 2>&1
echo x - net-mgmt/zabbix-agent/Makefile
sed 's/^X//' >net-mgmt/zabbix-agent/Makefile << 'END-of-net-mgmt/zabbix-agent/Makefile'
X# Ports collection makefile for:	zabbix-agent
X# Date created:		Jun 18 2003
X# Whom:			Sergey Akifyev <asa@gascom.ru>
X#
X# $FreeBSD: ports/net-mgmt/zabbix-agent/Makefile,v 1.29 2009/09/25 07:31:11 wen Exp $
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-agent
X
XMASTERDIR=	${.CURDIR}/../zabbix-server
X
XPLIST=		${PKGDIR}/pkg-plist.agent
X
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	IPV6 "Support for IPv6" on
X
X.include <bsd.port.options.mk>
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix-agent/Makefile
echo c - net-mgmt/zabbix-frontend
mkdir -p net-mgmt/zabbix-frontend > /dev/null 2>&1
echo x - net-mgmt/zabbix-frontend/Makefile
sed 's/^X//' >net-mgmt/zabbix-frontend/Makefile << 'END-of-net-mgmt/zabbix-frontend/Makefile'
X# New ports collection makefile for:	zabbix-frontend
X# Date created:		2009-12-09
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-frontend
X
XMASTERDIR=	${.CURDIR}/../zabbix-server
X
XNO_BUILD=	yes
XPATCHDIR=
XPLIST=		${PKGDIR}/pkg-plist.frontend
X
XUSE_PHP=	bcmath gd pcre snmp sockets
XIGNORE_WITH_PHP=	4
XWANT_PHP_WEB=	yes
X
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	MYSQL "Use MySQL backend" on \
X		PGSQL "Use PostgreSQL backend" off \
X		SQLITE "Use SQLite backend" off
X
X.include <bsd.port.options.mk>
X
X.ifndef WITHOUT_MYSQL
XUSE_PHP+=	mysql
X.endif
X
X.ifdef WITH_MYSQLI
XUSE_PHP+=	mysqli
X.endif
X
X.ifdef WITH_PGSQL
XUSE_PHP+=	pgsql
X.endif
X
X.ifdef WITH_SQLITE
XUSE_PHP+=	sqlite
X.endif
X
Xdo-install:
X	@${INSTALL} -d ${WWWDIR}
X	@cd ${WRKSRC}/frontends/php/ && ${COPYTREE_SHARE} . ${WWWDIR}
X
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix-frontend/Makefile
echo c - net-mgmt/zabbix-proxy
mkdir -p net-mgmt/zabbix-proxy > /dev/null 2>&1
echo x - net-mgmt/zabbix-proxy/Makefile
sed 's/^X//' >net-mgmt/zabbix-proxy/Makefile << 'END-of-net-mgmt/zabbix-proxy/Makefile'
X# New ports collection makefile for:	zabbix-proxy
X# Date created:		2009-12-09
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-proxy
X
XMASTERDIR=	${.CURDIR}/../zabbix-server
X
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix-proxy/Makefile
echo c - net-mgmt/zabbix-server
mkdir -p net-mgmt/zabbix-server > /dev/null 2>&1
echo c - net-mgmt/zabbix-server/files
mkdir -p net-mgmt/zabbix-server/files > /dev/null 2>&1
echo x - net-mgmt/zabbix-server/files/pkg-message.in
sed 's/^X//' >net-mgmt/zabbix-server/files/pkg-message.in << 'END-of-net-mgmt/zabbix-server/files/pkg-message.in'
X======================================================================
XZabbix requires a database.  If you are using SQLite, one will be
Xcreated automatically.  Otherwise you can install one as follows (<db>
Xis your database engine and <db_client> is its client program):
X
X% cd %%DATADIR%%/%%ZABBIX_BUILD%%/create
X% cat schema/<db>.sql data/data.sql data/images_<db>.sql | <db_client>
X
XTo upgrade an existing database, see the scripts in
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades.
X======================================================================
END-of-net-mgmt/zabbix-server/files/pkg-message.in
echo x - net-mgmt/zabbix-server/files/zabbix_proxy.in
sed 's/^X//' >net-mgmt/zabbix-server/files/zabbix_proxy.in << 'END-of-net-mgmt/zabbix-server/files/zabbix_proxy.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_proxy
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_proxy:
X#
X# zabbix_proxy_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_proxy.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_proxy"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_proxy_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix-server/files/zabbix_proxy.in
echo x - net-mgmt/zabbix-server/files/zabbix_server.in
sed 's/^X//' >net-mgmt/zabbix-server/files/zabbix_server.in << 'END-of-net-mgmt/zabbix-server/files/zabbix_server.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_server
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_server:
X#
X# zabbix_server_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_server.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_server"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_server_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix-server/files/zabbix_server.in
echo x - net-mgmt/zabbix-server/files/zabbix_agentd.in
sed 's/^X//' >net-mgmt/zabbix-server/files/zabbix_agentd.in << 'END-of-net-mgmt/zabbix-server/files/zabbix_agentd.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_agentd
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_agentd:
X#
X# zabbix_agentd_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_agentd.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_agentd"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_agentd_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix-server/files/zabbix_agentd.in
echo x - net-mgmt/zabbix-server/files/patch-src:zabbix_sender:Makefile.in
sed 's/^X//' >net-mgmt/zabbix-server/files/patch-src:zabbix_sender:Makefile.in << 'END-of-net-mgmt/zabbix-server/files/patch-src:zabbix_sender:Makefile.in'
X--- src/zabbix_sender/Makefile.in.bak	2009-12-10 21:00:56.000000000 -0600
X+++ src/zabbix_sender/Makefile.in	2009-12-10 21:01:11.000000000 -0600
X@@ -213,7 +213,7 @@
X prefix = @prefix@
X program_transform_name = @program_transform_name@
X psdir = @psdir@
X-sbindir = @sbindir@
X+sbindir = @bindir@
X sharedstatedir = @sharedstatedir@
X srcdir = @srcdir@
X sysconfdir = @sysconfdir@
END-of-net-mgmt/zabbix-server/files/patch-src:zabbix_sender:Makefile.in
echo x - net-mgmt/zabbix-server/files/patch-src:zabbix_get:Makefile.in
sed 's/^X//' >net-mgmt/zabbix-server/files/patch-src:zabbix_get:Makefile.in << 'END-of-net-mgmt/zabbix-server/files/patch-src:zabbix_get:Makefile.in'
X--- src/zabbix_get/Makefile.in.bak	2009-12-10 21:00:25.000000000 -0600
X+++ src/zabbix_get/Makefile.in	2009-12-10 21:00:36.000000000 -0600
X@@ -212,7 +212,7 @@
X prefix = @prefix@
X program_transform_name = @program_transform_name@
X psdir = @psdir@
X-sbindir = @sbindir@
X+sbindir = @bindir@
X sharedstatedir = @sharedstatedir@
X srcdir = @srcdir@
X sysconfdir = @sysconfdir@
END-of-net-mgmt/zabbix-server/files/patch-src:zabbix_get:Makefile.in
echo x - net-mgmt/zabbix-server/Makefile
sed 's/^X//' >net-mgmt/zabbix-server/Makefile << 'END-of-net-mgmt/zabbix-server/Makefile'
X# New ports collection makefile for:	zabbix-server
X# Date created:		2009-12-09
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPORTVERSION=	1.8
XPORTEPOCH=	2
XCATEGORIES=	net-mgmt
XMASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
XPKGNAMESUFFIX?=	-server
X
XMAINTAINER=	ports@christianserving.org
XCOMMENT=	Enterprise-class open source distributed monitoring (${PKGNAMESUFFIX:S/^-//})
X
XCONFLICTS=	${PKGBASE}-1.[0-6]*
X
X.if ${PKGNAMESUFFIX} != "-agent"
XCONFLICTS+=	${PORTNAME}-1.[0-6]*
X.endif
X
XZABBIX_BUILD=	${PKGNAMESUFFIX:S/^-//}
X
X.if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
XLIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
X		curl:${PORTSDIR}/ftp/curl
X
XSUB_FILES=	pkg-message
X
X.if ${ZABBIX_BUILD} != "agent"
XMAN8=		${PORTNAME}_${ZABBIX_BUILD}.8
XUSE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}
X.else
XMAN1=		${PORTNAME}_get.1 ${PORTNAME}_sender.1
XMAN8=		${PORTNAME}_${ZABBIX_BUILD}d.8
XUSE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}d
X.endif
X
XUSERS=		zabbix
XGROUPS=		zabbix
X
XPLIST_SUB=	ZABBIX_BUILD=${ZABBIX_BUILD}
XSUB_LIST=	ZABBIX_BUILD=${ZABBIX_BUILD}
X
XMAKE_ARGS+=	ARCH=freebsd
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD} --with-net-snmp
X
X.if ${ZABBIX_BUILD} != "agent"
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	MYSQL "Use MySQL backend" on \
X		PGSQL "Use PostgreSQL backend" off \
X		SQLITE "Use SQLite backend" off \
X		IPV6 "Support for IPv6" on \
X		LDAP "Support for checking LDAP servers" on \
X		JABBER "Use jabber media type" on \
X		FPING "Use fping for pinging hosts" on
X
X.include <bsd.port.options.mk>
X
X.ifndef WITHOUT_MYSQL
XUSE_MYSQL=	yes
XCONFIGURE_ARGS+=	--with-mysql
X.elifdef WITH_PGSQL
XUSE_PGSQL=	yes
XCONFIGURE_ARGS+=	--with-pgsql
X.elifdef WITH_SQLITE
XUSE_SQLITE=	yes
XCONFIGURE_ARGS+=	--with-sqlite3
X.else
XIGNORE=		zabbix requires a database backend
X.endif
X
X.ifndef WITHOUT_LDAP
XUSE_OPENLDAP=	yes
XCONFIGURE_ARGS+=	--with-ldap
X.endif
X
X.ifndef WITHOUT_JABBER
XLIB_DEPENDS+=	iksemel:${PORTSDIR}/textproc/iksemel
XCONFIGURE_ARGS+=	--with-jabber
X.endif
X
X.ifndef WITHOUT_FPING
XRUN_DEPENDS+=	fping:${PORTSDIR}/net/fping
X.endif
X.endif # if ${ZABBIX_BUILD} != "agent"
X
X.ifdef WITH_IPV6
XCONFIGURE_ARGS+=	--enable-ipv6
X.endif
X
Xpost-patch:
X	@${GREP} -rl "/etc/zabbix" ${WRKSRC} \
X	  | ${XARGS} ${REINPLACE_CMD} -e 's#/etc/zabbix#${ETCDIR}#g' \
X	  && ${FIND} ${WRKSRC} -type f -name '*.bak' -exec ${RM} -f {} +
X
X.if ${ZABBIX_BUILD} != "agent"
X.ifdef WITHOUT_FPING
X	@${ECHO} 'DisablePinger=yes' >> ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}.conf
X.endif
X.endif
X
Xpost-install:
X	@${INSTALL} -d ${ETCDIR}
X	@${INSTALL_DATA} ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}.conf ${ETCDIR}/${PORTNAME}_${ZABBIX_BUILD}.conf.sample
X
X.if ${ZABBIX_BUILD} == "agent"
X	@${INSTALL_DATA} ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}d.conf ${ETCDIR}/${PORTNAME}_${ZABBIX_BUILD}d.conf.sample
X.endif
X
X.if ${ZABBIX_BUILD} != "agent"
X	@cd ${WRKSRC}/upgrades/ && ${COPYTREE_SHARE} dbpatches ${DATADIR}/${ZABBIX_BUILD}/upgrades/
X	@cd ${WRKSRC}/create/ && ${COPYTREE_SHARE} "data schema" ${DATADIR}/${ZABBIX_BUILD}/create/
X	@${CAT} ${PKGMESSAGE}
X.endif
X.endif # if ${ZABBIX_BUILD} != "frontend"
X
X.include <bsd.port.mk>
END-of-net-mgmt/zabbix-server/Makefile
echo x - net-mgmt/zabbix-server/distinfo
sed 's/^X//' >net-mgmt/zabbix-server/distinfo << 'END-of-net-mgmt/zabbix-server/distinfo'
XMD5 (zabbix-1.8.tar.gz) = 066153713c05f873b4344e4ea1e065e9
XSHA256 (zabbix-1.8.tar.gz) = 6743f01f27116ead7b48927ac184708bb920541c88e63602fe1f2b7401866eec
XSIZE (zabbix-1.8.tar.gz) = 3549582
END-of-net-mgmt/zabbix-server/distinfo
echo x - net-mgmt/zabbix-server/pkg-descr
sed 's/^X//' >net-mgmt/zabbix-server/pkg-descr << 'END-of-net-mgmt/zabbix-server/pkg-descr'
XZabbix is an enterprise-class open source distributed monitoring
Xsolution.
X
XZabbix is software that monitors numerous parameters of a network and
Xthe health and integrity of servers. Zabbix uses a flexible
Xnotification mechanism that allows users to configure e-mail based
Xalerts for virtually any event. This allows a fast reaction to server
Xproblems. Zabbix offers excellent reporting and data visualisation
Xfeatures based on the stored data. This makes Zabbix ideal for
Xcapacity planning.
X
XWWW: http://www.zabbix.com/
END-of-net-mgmt/zabbix-server/pkg-descr
echo x - net-mgmt/zabbix-server/pkg-plist
sed 's/^X//' >net-mgmt/zabbix-server/pkg-plist << 'END-of-net-mgmt/zabbix-server/pkg-plist'
X@comment $FreeBSD$
X%%ETCDIR%%/zabbix_%%ZABBIX_BUILD%%.conf.sample
Xsbin/zabbix_%%ZABBIX_BUILD%%
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/data.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Hub.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Hub_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Network.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Network_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Notebook.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Notebook_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Phone.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Phone_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Printer.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Printer_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Router.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Router_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Satellite.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Satellite_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Server.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Server_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_mysql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_oracle.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_pgsql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_sqlite3.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/mysql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/oracle.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/postgresql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/sqlite.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/mysql/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/oracle/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/postgresql/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/oracle/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/postgresql/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/mysql/upgrade
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/mysql/patch.sql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/postgresql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/oracle
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/mysql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/postgresql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/oracle
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/mysql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/data
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%
X@dirrmtry %%DATADIR%%
X@dirrmtry %%ETCDIR%%
END-of-net-mgmt/zabbix-server/pkg-plist
echo x - net-mgmt/zabbix-server/pkg-plist.frontend
sed 's/^X//' >net-mgmt/zabbix-server/pkg-plist.frontend << 'END-of-net-mgmt/zabbix-server/pkg-plist.frontend'
X@comment $FreeBSD$
X%%WWWDIR%%/acknow.php
X%%WWWDIR%%/actionconf.php
X%%WWWDIR%%/api/.htaccess
X%%WWWDIR%%/api/classes/class.caction.php
X%%WWWDIR%%/api/classes/class.calert.php
X%%WWWDIR%%/api/classes/class.capiinfo.php
X%%WWWDIR%%/api/classes/class.capplication.php
X%%WWWDIR%%/api/classes/class.cevent.php
X%%WWWDIR%%/api/classes/class.cgraph.php
X%%WWWDIR%%/api/classes/class.cgraphitem.php
X%%WWWDIR%%/api/classes/class.chost.php
X%%WWWDIR%%/api/classes/class.chostgroup.php
X%%WWWDIR%%/api/classes/class.citem.php
X%%WWWDIR%%/api/classes/class.cmaintenance.php
X%%WWWDIR%%/api/classes/class.cmap.php
X%%WWWDIR%%/api/classes/class.cscreen.php
X%%WWWDIR%%/api/classes/class.cscript.php
X%%WWWDIR%%/api/classes/class.ctemplate.php
X%%WWWDIR%%/api/classes/class.ctrigger.php
X%%WWWDIR%%/api/classes/class.cuser.php
X%%WWWDIR%%/api/classes/class.cusergroup.php
X%%WWWDIR%%/api/classes/class.cusermacro.php
X%%WWWDIR%%/api/classes/class.czbxapi.php
X%%WWWDIR%%/api/rpc/class.cjsonrpc.php
X%%WWWDIR%%/api/rpc/class.czbxrpc.php
X%%WWWDIR%%/api_jsonrpc.php
X%%WWWDIR%%/applications.php
X%%WWWDIR%%/audio/trigger_off.wav
X%%WWWDIR%%/audio/trigger_on.wav
X%%WWWDIR%%/audio/trigger_on_average.wav
X%%WWWDIR%%/audio/trigger_on_disaster.wav
X%%WWWDIR%%/audio/trigger_on_high.wav
X%%WWWDIR%%/audio/trigger_on_warning.wav
X%%WWWDIR%%/auditacts.php
X%%WWWDIR%%/auditlogs.php
X%%WWWDIR%%/authentication.php
X%%WWWDIR%%/chart.php
X%%WWWDIR%%/chart2.php
X%%WWWDIR%%/chart3.php
X%%WWWDIR%%/chart4.php
X%%WWWDIR%%/chart5.php
X%%WWWDIR%%/chart6.php
X%%WWWDIR%%/chart7.php
X%%WWWDIR%%/chart_bar.php
X%%WWWDIR%%/chart_sla.php
X%%WWWDIR%%/charts.php
X%%WWWDIR%%/conf/.htaccess
X%%WWWDIR%%/conf/COPYING
X%%WWWDIR%%/conf/maintenance.inc.php
X%%WWWDIR%%/conf/zabbix.conf.php.example
X%%WWWDIR%%/config.php
X%%WWWDIR%%/css.css
X%%WWWDIR%%/dashboard.php
X%%WWWDIR%%/discovery.php
X%%WWWDIR%%/discoveryconf.php
X%%WWWDIR%%/events.php
X%%WWWDIR%%/export.php
X%%WWWDIR%%/fonts/DejaVuSans.ttf
X%%WWWDIR%%/graphs.php
X%%WWWDIR%%/history.php
X%%WWWDIR%%/hostgroups.php
X%%WWWDIR%%/hostprofiles.php
X%%WWWDIR%%/hosts.php
X%%WWWDIR%%/httpconf.php
X%%WWWDIR%%/httpdetails.php
X%%WWWDIR%%/httpmon.php
X%%WWWDIR%%/image.php
X%%WWWDIR%%/images/flash/zbxclock.swf
X%%WWWDIR%%/images/general/arrowdown.gif
X%%WWWDIR%%/images/general/arrowup.gif
X%%WWWDIR%%/images/general/bar/arrow_down.gif
X%%WWWDIR%%/images/general/bar/arrow_sm.gif
X%%WWWDIR%%/images/general/bar/arrow_up.gif
X%%WWWDIR%%/images/general/bar/bar_bg.png
X%%WWWDIR%%/images/general/bar/bar_middle.png
X%%WWWDIR%%/images/general/bar/bg.png
X%%WWWDIR%%/images/general/bar/cal.gif
X%%WWWDIR%%/images/general/bar/left.png
X%%WWWDIR%%/images/general/bar/left_arr.png
X%%WWWDIR%%/images/general/bar/right.png
X%%WWWDIR%%/images/general/bar/right_arr.png
X%%WWWDIR%%/images/general/bttn/arrowdown.png
X%%WWWDIR%%/images/general/bttn/arrowdown_bb.png
X%%WWWDIR%%/images/general/bttn/arrowleft.png
X%%WWWDIR%%/images/general/bttn/arrowleft_bb.png
X%%WWWDIR%%/images/general/bttn/arrowright.png
X%%WWWDIR%%/images/general/bttn/arrowright_bb.png
X%%WWWDIR%%/images/general/bttn/arrowup.png
X%%WWWDIR%%/images/general/bttn/arrowup_bb.png
X%%WWWDIR%%/images/general/bttn/down.png
X%%WWWDIR%%/images/general/bttn/down_bb.png
X%%WWWDIR%%/images/general/bttn/fullscreen.png
X%%WWWDIR%%/images/general/bttn/fullscreen_bb.png
X%%WWWDIR%%/images/general/bttn/help.png
X%%WWWDIR%%/images/general/bttn/help_bb.png
X%%WWWDIR%%/images/general/bttn/menu.png
X%%WWWDIR%%/images/general/bttn/menu_bb.png
X%%WWWDIR%%/images/general/bttn/minus.png
X%%WWWDIR%%/images/general/bttn/minus_bb.png
X%%WWWDIR%%/images/general/bttn/mute.png
X%%WWWDIR%%/images/general/bttn/mute_bb.png
X%%WWWDIR%%/images/general/bttn/plus.png
X%%WWWDIR%%/images/general/bttn/plus_bb.png
X%%WWWDIR%%/images/general/bttn/reset.png
X%%WWWDIR%%/images/general/bttn/reset_bb.png
X%%WWWDIR%%/images/general/bttn/sound.png
X%%WWWDIR%%/images/general/bttn/sound_bb.png
X%%WWWDIR%%/images/general/bttn/up.png
X%%WWWDIR%%/images/general/bttn/up_bb.png
X%%WWWDIR%%/images/general/chart.png
X%%WWWDIR%%/images/general/closed.gif
X%%WWWDIR%%/images/general/dbl_arrow_down.png
X%%WWWDIR%%/images/general/dbl_arrow_down2.png
X%%WWWDIR%%/images/general/dbl_arrow_up.png
X%%WWWDIR%%/images/general/dbl_arrow_up2.png
X%%WWWDIR%%/images/general/down_icon.png
X%%WWWDIR%%/images/general/error.png
X%%WWWDIR%%/images/general/error_icon.png
X%%WWWDIR%%/images/general/error_small.gif
X%%WWWDIR%%/images/general/help.gif
X%%WWWDIR%%/images/general/inst_completed.gif
X%%WWWDIR%%/images/general/inst_current.gif
X%%WWWDIR%%/images/general/inst_step.gif
X%%WWWDIR%%/images/general/ipmi_available.png
X%%WWWDIR%%/images/general/ipmi_available_bb.png
X%%WWWDIR%%/images/general/ipmi_unavailable.png
X%%WWWDIR%%/images/general/ipmi_unknown.png
X%%WWWDIR%%/images/general/ok.png
X%%WWWDIR%%/images/general/ok_bb.png
X%%WWWDIR%%/images/general/ok_icon.png
X%%WWWDIR%%/images/general/ok_icon_bb.png
X%%WWWDIR%%/images/general/opened.gif
X%%WWWDIR%%/images/general/snmp_available.png
X%%WWWDIR%%/images/general/snmp_available_bb.png
X%%WWWDIR%%/images/general/snmp_unavailable.png
X%%WWWDIR%%/images/general/snmp_unknown.png
X%%WWWDIR%%/images/general/sort_down.png
X%%WWWDIR%%/images/general/sort_down_bb.png
X%%WWWDIR%%/images/general/sort_downw.gif
X%%WWWDIR%%/images/general/sort_up.png
X%%WWWDIR%%/images/general/sort_up_bb.png
X%%WWWDIR%%/images/general/sort_upw.gif
X%%WWWDIR%%/images/general/sortdown.gif
X%%WWWDIR%%/images/general/sortdown_off.gif
X%%WWWDIR%%/images/general/sortup.gif
X%%WWWDIR%%/images/general/sortup_off.gif
X%%WWWDIR%%/images/general/tick.png
X%%WWWDIR%%/images/general/tr_space.gif
X%%WWWDIR%%/images/general/tr_top_bottom.gif
X%%WWWDIR%%/images/general/tr_top_right.gif
X%%WWWDIR%%/images/general/tr_top_right_bottom.gif
X%%WWWDIR%%/images/general/tree/minus.gif
X%%WWWDIR%%/images/general/tree/plus.gif
X%%WWWDIR%%/images/general/tree/point.gif
X%%WWWDIR%%/images/general/tree/pointc.gif
X%%WWWDIR%%/images/general/tree/pointl.gif
X%%WWWDIR%%/images/general/tree/zero.gif
X%%WWWDIR%%/images/general/up_icon.png
X%%WWWDIR%%/images/general/warning16r.gif
X%%WWWDIR%%/images/general/warning_small.gif
X%%WWWDIR%%/images/general/zabbix.ico
X%%WWWDIR%%/images/general/zabbix.png
X%%WWWDIR%%/images/general/zabbix_available.png
X%%WWWDIR%%/images/general/zabbix_available_bb.png
X%%WWWDIR%%/images/general/zabbix_bb.ico
X%%WWWDIR%%/images/general/zabbix_bb.png
X%%WWWDIR%%/images/general/zabbix_ob.ico
X%%WWWDIR%%/images/general/zabbix_unavailable.png
X%%WWWDIR%%/images/general/zabbix_unknown.png
X%%WWWDIR%%/images/general/zero.gif
X%%WWWDIR%%/images/gradients/blink1.gif
X%%WWWDIR%%/images/gradients/blink2.gif
X%%WWWDIR%%/images/gradients/button.gif
X%%WWWDIR%%/images/gradients/gradient.png
X%%WWWDIR%%/images/gradients/menu_not_active.gif
X%%WWWDIR%%/images/gradients/menu_not_active2.gif
X%%WWWDIR%%/images/gradients/menu_not_active_bb.gif
X%%WWWDIR%%/images/gradients/sla_blue.png
X%%WWWDIR%%/images/gradients/sla_blue15.png
X%%WWWDIR%%/images/gradients/sla_green.png
X%%WWWDIR%%/images/gradients/sla_green15.png
X%%WWWDIR%%/images/gradients/sla_red.png
X%%WWWDIR%%/images/gradients/sla_red15.png
X%%WWWDIR%%/images/gradients/table_head.gif
X%%WWWDIR%%/images/gradients/table_head2.gif
X%%WWWDIR%%/images/gradients/table_head2_bb.gif
X%%WWWDIR%%/images/gradients/table_head_bb.gif
X%%WWWDIR%%/images/sysmaps/Hub.png
X%%WWWDIR%%/images/sysmaps/Hub_small.png
X%%WWWDIR%%/images/sysmaps/Network.png
X%%WWWDIR%%/images/sysmaps/Network_small.png
X%%WWWDIR%%/images/sysmaps/Notebook.png
X%%WWWDIR%%/images/sysmaps/Notebook_small.png
X%%WWWDIR%%/images/sysmaps/Phone.png
X%%WWWDIR%%/images/sysmaps/Phone_small.png
X%%WWWDIR%%/images/sysmaps/Printer.png
X%%WWWDIR%%/images/sysmaps/Printer_small.png
X%%WWWDIR%%/images/sysmaps/README
X%%WWWDIR%%/images/sysmaps/Router.png
X%%WWWDIR%%/images/sysmaps/Router_small.png
X%%WWWDIR%%/images/sysmaps/Satellite.png
X%%WWWDIR%%/images/sysmaps/Satellite_small.png
X%%WWWDIR%%/images/sysmaps/Server.png
X%%WWWDIR%%/images/sysmaps/Server_small.png
X%%WWWDIR%%/images/sysmaps/UPS.png
X%%WWWDIR%%/images/sysmaps/UPS_small.png
X%%WWWDIR%%/images/sysmaps/Workstation.png
X%%WWWDIR%%/images/sysmaps/Workstation_small.png
X%%WWWDIR%%/images/sysmaps/old/Hub.png
X%%WWWDIR%%/images/sysmaps/old/Notebook.png
X%%WWWDIR%%/images/sysmaps/old/Printer.png
X%%WWWDIR%%/images/sysmaps/old/Router.png
X%%WWWDIR%%/images/sysmaps/old/Server.png
X%%WWWDIR%%/images/sysmaps/old/Workstation.png
X%%WWWDIR%%/imgstore.php
X%%WWWDIR%%/import.php
X%%WWWDIR%%/include/.htaccess
X%%WWWDIR%%/include/acknow.inc.php
X%%WWWDIR%%/include/actions.inc.php
X%%WWWDIR%%/include/audit.inc.php
X%%WWWDIR%%/include/blocks.inc.php
X%%WWWDIR%%/include/classes/.htaccess
X%%WWWDIR%%/include/classes/class.carea.php
X%%WWWDIR%%/include/classes/class.careamap.php
X%%WWWDIR%%/include/classes/class.cbar.php
X%%WWWDIR%%/include/classes/class.cbutton.php
X%%WWWDIR%%/include/classes/class.cbuttoncancel.php
X%%WWWDIR%%/include/classes/class.cbuttondelete.php
X%%WWWDIR%%/include/classes/class.cbuttonqmessage.php
X%%WWWDIR%%/include/classes/class.cchart.php
X%%WWWDIR%%/include/classes/class.ccheckbox.php
X%%WWWDIR%%/include/classes/class.ccol.php
X%%WWWDIR%%/include/classes/class.ccolor.php
X%%WWWDIR%%/include/classes/class.ccolorcell.php
X%%WWWDIR%%/include/classes/class.ccombobox.php
X%%WWWDIR%%/include/classes/class.ccomboitem.php
X%%WWWDIR%%/include/classes/class.cdiv.php
X%%WWWDIR%%/include/classes/class.ceditablecombobox.php
X%%WWWDIR%%/include/classes/class.cfile.php
X%%WWWDIR%%/include/classes/class.cflash.php
X%%WWWDIR%%/include/classes/class.cflashclock.php
X%%WWWDIR%%/include/classes/class.cflashembed.php
X%%WWWDIR%%/include/classes/class.cform.php
X%%WWWDIR%%/include/classes/class.cformtable.php
X%%WWWDIR%%/include/classes/class.cgraphdraw.php
X%%WWWDIR%%/include/classes/class.chelp.php
X%%WWWDIR%%/include/classes/class.chostsinfo.php
X%%WWWDIR%%/include/classes/class.chttp_request.php
X%%WWWDIR%%/include/classes/class.ciframe.php
X%%WWWDIR%%/include/classes/class.cimagetexttable.php
X%%WWWDIR%%/include/classes/class.cimg.php
X%%WWWDIR%%/include/classes/class.cipbox.php
X%%WWWDIR%%/include/classes/class.cjson.php
X%%WWWDIR%%/include/classes/class.cjsscript.php
X%%WWWDIR%%/include/classes/class.cldap.php
X%%WWWDIR%%/include/classes/class.clink.php
X%%WWWDIR%%/include/classes/class.clist.php
X%%WWWDIR%%/include/classes/class.clistbox.php
X%%WWWDIR%%/include/classes/class.clistitem.php
X%%WWWDIR%%/include/classes/class.cnumericbox.php
X%%WWWDIR%%/include/classes/class.cobject.php
X%%WWWDIR%%/include/classes/class.cparam.php
X%%WWWDIR%%/include/classes/class.cpassbox.php
X%%WWWDIR%%/include/classes/class.cpie.php
X%%WWWDIR%%/include/classes/class.cpumenu.php
X%%WWWDIR%%/include/classes/class.crow.php
X%%WWWDIR%%/include/classes/class.cserverinfo.php
X%%WWWDIR%%/include/classes/class.cspan.php
X%%WWWDIR%%/include/classes/class.ctable.php
X%%WWWDIR%%/include/classes/class.ctableinfo.php
X%%WWWDIR%%/include/classes/class.ctag.php
X%%WWWDIR%%/include/classes/class.ctextarea.php
X%%WWWDIR%%/include/classes/class.ctextbox.php
X%%WWWDIR%%/include/classes/class.ctree.php
X%%WWWDIR%%/include/classes/class.ctriggersinfo.php
X%%WWWDIR%%/include/classes/class.ctweenbox.php
X%%WWWDIR%%/include/classes/class.curl.php
X%%WWWDIR%%/include/classes/class.cvar.php
X%%WWWDIR%%/include/classes/class.cvartag.php
X%%WWWDIR%%/include/classes/class.cvisibilitybox.php
X%%WWWDIR%%/include/classes/class.cwidget.php
X%%WWWDIR%%/include/config.inc.php
X%%WWWDIR%%/include/copt.lib.php
X%%WWWDIR%%/include/db.inc.php
X%%WWWDIR%%/include/defines.inc.php
X%%WWWDIR%%/include/discovery.inc.php
X%%WWWDIR%%/include/events.inc.php
X%%WWWDIR%%/include/export.inc.php
X%%WWWDIR%%/include/forms.inc.php
X%%WWWDIR%%/include/func.inc.php
X%%WWWDIR%%/include/graphs.inc.php
X%%WWWDIR%%/include/hosts.inc.php
X%%WWWDIR%%/include/html.inc.php
X%%WWWDIR%%/include/httptest.inc.php
X%%WWWDIR%%/include/images.inc.php
X%%WWWDIR%%/include/items.inc.php
X%%WWWDIR%%/include/js.inc.php
X%%WWWDIR%%/include/locales.inc.php
X%%WWWDIR%%/include/locales/cn_zh.inc.php
X%%WWWDIR%%/include/locales/de_de.inc.php
X%%WWWDIR%%/include/locales/en_gb.inc.php
X%%WWWDIR%%/include/locales/fr_fr.inc.php
X%%WWWDIR%%/include/locales/hu_hu.inc.php
X%%WWWDIR%%/include/locales/it_it.inc.php
X%%WWWDIR%%/include/locales/ja_jp.inc.php
X%%WWWDIR%%/include/locales/ko_kr.inc.php
X%%WWWDIR%%/include/locales/lv_lv.inc.php
X%%WWWDIR%%/include/locales/nl_nl.inc.php
X%%WWWDIR%%/include/locales/pl_pl.inc.php
X%%WWWDIR%%/include/locales/pt_br.inc.php
X%%WWWDIR%%/include/locales/ru_ru.inc.php
X%%WWWDIR%%/include/locales/sp_sp.inc.php
X%%WWWDIR%%/include/locales/sv_se.inc.php
X%%WWWDIR%%/include/maintenances.inc.php
X%%WWWDIR%%/include/maps.inc.php
X%%WWWDIR%%/include/media.inc.php
X%%WWWDIR%%/include/menu.inc.php
X%%WWWDIR%%/include/nodes.inc.php
X%%WWWDIR%%/include/page_footer.php
X%%WWWDIR%%/include/page_header.php
X%%WWWDIR%%/include/perm.inc.php
X%%WWWDIR%%/include/profiles.inc.php
X%%WWWDIR%%/include/regexp.inc.php
X%%WWWDIR%%/include/reports.inc.php
X%%WWWDIR%%/include/screens.inc.php
X%%WWWDIR%%/include/scripts.inc.php
X%%WWWDIR%%/include/services.inc.php
X%%WWWDIR%%/include/setup.inc.php
X%%WWWDIR%%/include/triggers.inc.php
X%%WWWDIR%%/include/users.inc.php
X%%WWWDIR%%/include/validate.inc.php
X%%WWWDIR%%/index.php
X%%WWWDIR%%/instal.php
X%%WWWDIR%%/items.php
X%%WWWDIR%%/js/class.calendar.js
X%%WWWDIR%%/js/class.cmap.js
X%%WWWDIR%%/js/class.cookie.js
X%%WWWDIR%%/js/class.cscreen.js
X%%WWWDIR%%/js/class.ctree.js
X%%WWWDIR%%/js/class.curl.js
X%%WWWDIR%%/js/class.pmaster.js
X%%WWWDIR%%/js/class.switcher.js
X%%WWWDIR%%/js/common.js
X%%WWWDIR%%/js/functions.js
X%%WWWDIR%%/js/gtlc.js
X%%WWWDIR%%/js/main.js
X%%WWWDIR%%/js/menu.js
X%%WWWDIR%%/js/prototype.js
X%%WWWDIR%%/js/scriptaculous.js
X%%WWWDIR%%/js/scriptaculous/builder.js
X%%WWWDIR%%/js/scriptaculous/controls.js
X%%WWWDIR%%/js/scriptaculous/dragdrop.js
X%%WWWDIR%%/js/scriptaculous/effects.js
X%%WWWDIR%%/js/scriptaculous/slider.js
X%%WWWDIR%%/js/scriptaculous/sound.js
X%%WWWDIR%%/latest.php
X%%WWWDIR%%/locales.php
X%%WWWDIR%%/maintenance.php
X%%WWWDIR%%/map.php
X%%WWWDIR%%/maps.php
X%%WWWDIR%%/media_types.php
X%%WWWDIR%%/nodes.php
X%%WWWDIR%%/overview.php
X%%WWWDIR%%/popup.php
X%%WWWDIR%%/popup_bitem.php
X%%WWWDIR%%/popup_gitem.php
X%%WWWDIR%%/popup_httpstep.php
X%%WWWDIR%%/popup_link_tr.php
X%%WWWDIR%%/popup_media.php
X%%WWWDIR%%/popup_period.php
X%%WWWDIR%%/popup_right.php
X%%WWWDIR%%/popup_trexpr.php
X%%WWWDIR%%/popup_users.php
X%%WWWDIR%%/popup_usrgrp.php
X%%WWWDIR%%/profile.php
X%%WWWDIR%%/proxies.php
X%%WWWDIR%%/queue.php
X%%WWWDIR%%/report1.php
X%%WWWDIR%%/report2.php
X%%WWWDIR%%/report3.php
X%%WWWDIR%%/report4.php
X%%WWWDIR%%/report5.php
X%%WWWDIR%%/report6.php
X%%WWWDIR%%/screenconf.php
X%%WWWDIR%%/screenedit.php
X%%WWWDIR%%/screens.php
X%%WWWDIR%%/scripts.php
X%%WWWDIR%%/scripts_exec.php
X%%WWWDIR%%/search.php
X%%WWWDIR%%/services.php
X%%WWWDIR%%/services_form.php
X%%WWWDIR%%/setup.php
X%%WWWDIR%%/slides.php
X%%WWWDIR%%/srv_status.php
X%%WWWDIR%%/styles/blocks.css
X%%WWWDIR%%/styles/calendar.css
X%%WWWDIR%%/styles/css_bb.css
X%%WWWDIR%%/styles/css_ob.css
X%%WWWDIR%%/styles/default.css
X%%WWWDIR%%/styles/div.css
X%%WWWDIR%%/styles/form.css
X%%WWWDIR%%/styles/link.css
X%%WWWDIR%%/styles/p.css
X%%WWWDIR%%/styles/popupmenu.css
X%%WWWDIR%%/styles/table.css
X%%WWWDIR%%/styles/ul.css
X%%WWWDIR%%/sysmap.php
X%%WWWDIR%%/sysmaps.php
X%%WWWDIR%%/templates.php
X%%WWWDIR%%/tr_comments.php
X%%WWWDIR%%/tr_events.php
X%%WWWDIR%%/tr_logform.php
X%%WWWDIR%%/tr_status.php
X%%WWWDIR%%/tr_testexpr.php
X%%WWWDIR%%/triggers.php
X%%WWWDIR%%/usergrps.php
X%%WWWDIR%%/users.php
X%%WWWDIR%%/vtext.php
X%%WWWDIR%%/warning.php
X@dirrm %%WWWDIR%%/styles
X@dirrm %%WWWDIR%%/js/scriptaculous
X@dirrm %%WWWDIR%%/js
X@dirrm %%WWWDIR%%/include/locales
X@dirrm %%WWWDIR%%/include/classes
X@dirrm %%WWWDIR%%/include
X@dirrm %%WWWDIR%%/images/sysmaps/old
X@dirrm %%WWWDIR%%/images/sysmaps
X@dirrm %%WWWDIR%%/images/gradients
X@dirrm %%WWWDIR%%/images/general/tree
X@dirrm %%WWWDIR%%/images/general/bttn
X@dirrm %%WWWDIR%%/images/general/bar
X@dirrm %%WWWDIR%%/images/general
X@dirrm %%WWWDIR%%/images/flash
X@dirrm %%WWWDIR%%/images
X@dirrm %%WWWDIR%%/fonts
X@dirrm %%WWWDIR%%/conf
X@dirrm %%WWWDIR%%/audio
X@dirrm %%WWWDIR%%/api/rpc
X@dirrm %%WWWDIR%%/api/classes
X@dirrm %%WWWDIR%%/api
X@dirrm %%WWWDIR%%
END-of-net-mgmt/zabbix-server/pkg-plist.frontend
echo x - net-mgmt/zabbix-server/pkg-plist.agent
sed 's/^X//' >net-mgmt/zabbix-server/pkg-plist.agent << 'END-of-net-mgmt/zabbix-server/pkg-plist.agent'
X@comment $FreeBSD$
X%%ETCDIR%%/zabbix_agent.conf.sample
X%%ETCDIR%%/zabbix_agentd.conf.sample
Xbin/zabbix_get
Xbin/zabbix_sender
Xsbin/zabbix_agent
Xsbin/zabbix_agentd
X@dirrmtry %%ETCDIR%%
END-of-net-mgmt/zabbix-server/pkg-plist.agent
echo c - net-mgmt/zabbix16-agent
mkdir -p net-mgmt/zabbix16-agent > /dev/null 2>&1
echo x - net-mgmt/zabbix16-agent/Makefile
sed 's/^X//' >net-mgmt/zabbix16-agent/Makefile << 'END-of-net-mgmt/zabbix16-agent/Makefile'
X# New ports collection makefile for:	zabbix16-agent
X# Date created:		2009-12-10
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD: ports/net-mgmt/zabbix-agent/Makefile,v 1.29 2009/09/25 07:31:11 wen Exp $
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-agent
X
XMASTERDIR=	${.CURDIR}/../zabbix16-server
X
XPLIST=		${PKGDIR}/pkg-plist.agent
X
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	IPV6 "Support for IPv6" on
X
X.include <bsd.port.options.mk>
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix16-agent/Makefile
echo c - net-mgmt/zabbix16-frontend
mkdir -p net-mgmt/zabbix16-frontend > /dev/null 2>&1
echo x - net-mgmt/zabbix16-frontend/Makefile
sed 's/^X//' >net-mgmt/zabbix16-frontend/Makefile << 'END-of-net-mgmt/zabbix16-frontend/Makefile'
X# New ports collection makefile for:	zabbix16-frontend
X# Date created:		2009-12-10
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-frontend
X
XMASTERDIR=	${.CURDIR}/../zabbix16-server
X
XNO_BUILD=	yes
XPATCHDIR=
XPLIST=		${PKGDIR}/pkg-plist.frontend
X
XUSE_PHP=	bcmath gd pcre snmp sockets
XWANT_PHP_WEB=	yes
X
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	MYSQL "Use MySQL backend" on \
X		PGSQL "Use PostgreSQL backend" off \
X		SQLITE "Use SQLite backend" off
X
X.include <bsd.port.options.mk>
X
X.ifndef WITHOUT_MYSQL
XUSE_PHP+=	mysql
X.endif
X
X.ifdef WITH_MYSQLI
XUSE_PHP+=	mysqli
X.endif
X
X.ifdef WITH_PGSQL
XUSE_PHP+=	pgsql
X.endif
X
X.ifdef WITH_SQLITE
XUSE_PHP+=	sqlite
X.endif
X
Xdo-install:
X	@${INSTALL} -d ${WWWDIR}
X	@cd ${WRKSRC}/frontends/php/ && ${COPYTREE_SHARE} . ${WWWDIR}
X
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix16-frontend/Makefile
echo c - net-mgmt/zabbix16-proxy
mkdir -p net-mgmt/zabbix16-proxy > /dev/null 2>&1
echo x - net-mgmt/zabbix16-proxy/Makefile
sed 's/^X//' >net-mgmt/zabbix16-proxy/Makefile << 'END-of-net-mgmt/zabbix16-proxy/Makefile'
X# New ports collection makefile for:	zabbix16-proxy
X# Date created:		2009-12-10
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-proxy
X
XMASTERDIR=	${.CURDIR}/../zabbix16-server
X
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix16-proxy/Makefile
echo c - net-mgmt/zabbix16-server
mkdir -p net-mgmt/zabbix16-server > /dev/null 2>&1
echo c - net-mgmt/zabbix16-server/files
mkdir -p net-mgmt/zabbix16-server/files > /dev/null 2>&1
echo x - net-mgmt/zabbix16-server/files/pkg-message.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/pkg-message.in << 'END-of-net-mgmt/zabbix16-server/files/pkg-message.in'
X======================================================================
XZabbix requires a database.  If you are using SQLite, one will be
Xcreated automatically.  Otherwise you can install one as follows (<db>
Xis your database engine and <db_client> is its client program):
X
X% cd %%DATADIR%%/%%ZABBIX_BUILD%%/create
X% cat schema/<db>.sql data/data.sql data/images_<db>.sql | <db_client>
X
XTo upgrade an existing database, see the scripts in
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades.
X======================================================================
END-of-net-mgmt/zabbix16-server/files/pkg-message.in
echo x - net-mgmt/zabbix16-server/files/zabbix_proxy.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/zabbix_proxy.in << 'END-of-net-mgmt/zabbix16-server/files/zabbix_proxy.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_proxy
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_proxy:
X#
X# zabbix_proxy_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_proxy.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_proxy"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_proxy_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix16-server/files/zabbix_proxy.in
echo x - net-mgmt/zabbix16-server/files/zabbix_server.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/zabbix_server.in << 'END-of-net-mgmt/zabbix16-server/files/zabbix_server.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_server
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_server:
X#
X# zabbix_server_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_server.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_server"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_server_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix16-server/files/zabbix_server.in
echo x - net-mgmt/zabbix16-server/files/zabbix_agentd.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/zabbix_agentd.in << 'END-of-net-mgmt/zabbix16-server/files/zabbix_agentd.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_agentd
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_agentd:
X#
X# zabbix_agentd_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_agentd.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_agentd"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_agentd_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix16-server/files/zabbix_agentd.in
echo x - net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in << 'END-of-net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in'
X--- src/zabbix_get/Makefile.in.bak	2009-12-10 21:00:25.000000000 -0600
X+++ src/zabbix_get/Makefile.in	2009-12-10 21:00:36.000000000 -0600
X@@ -212,7 +212,7 @@
X prefix = @prefix@
X program_transform_name = @program_transform_name@
X psdir = @psdir@
X-sbindir = @sbindir@
X+sbindir = @bindir@
X sharedstatedir = @sharedstatedir@
X srcdir = @srcdir@
X sysconfdir = @sysconfdir@
END-of-net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in
echo x - net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in << 'END-of-net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in'
X--- src/zabbix_sender/Makefile.in.bak	2009-12-10 21:00:56.000000000 -0600
X+++ src/zabbix_sender/Makefile.in	2009-12-10 21:01:11.000000000 -0600
X@@ -213,7 +213,7 @@
X prefix = @prefix@
X program_transform_name = @program_transform_name@
X psdir = @psdir@
X-sbindir = @sbindir@
X+sbindir = @bindir@
X sharedstatedir = @sharedstatedir@
X srcdir = @srcdir@
X sysconfdir = @sysconfdir@
END-of-net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in
echo x - net-mgmt/zabbix16-server/Makefile
sed 's/^X//' >net-mgmt/zabbix16-server/Makefile << 'END-of-net-mgmt/zabbix16-server/Makefile'
X# New ports collection makefile for:	zabbix16-server
X# Date created:		2009-12-10
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPORTVERSION=	1.6.8
XPORTEPOCH=	2
XCATEGORIES=	net-mgmt
XMASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
XPKGNAMESUFFIX?=	-server
X
XMAINTAINER=	ports@christianserving.org
XCOMMENT=	Enterprise-class open source distributed monitoring (${PKGNAMESUFFIX:S/^-//})
X
XCONFLICTS=	${PKGBASE}-1.8*
X
X.if ${PKGNAMESUFFIX} != "-agent"
XCONFLICTS+=	${PORTNAME}-1.[0-6]*
X.endif
X
XZABBIX_BUILD=	${PKGNAMESUFFIX:S/^-//}
X
X.if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
XLIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
X		curl:${PORTSDIR}/ftp/curl
X
XSUB_FILES=	pkg-message
X
X.if ${ZABBIX_BUILD} != "agent"
XUSE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}
X.else
XUSE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}d
X.endif
X
XUSERS=		zabbix
XGROUPS=		zabbix
X
XPLIST_SUB=	ZABBIX_BUILD=${ZABBIX_BUILD}
XSUB_LIST=	ZABBIX_BUILD=${ZABBIX_BUILD}
X
XMAKE_ARGS+=	ARCH=freebsd
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD} --with-net-snmp
X
X.if ${ZABBIX_BUILD} != "agent"
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	MYSQL "Use MySQL backend" on \
X		PGSQL "Use PostgreSQL backend" off \
X		SQLITE "Use SQLite backend" off \
X		IPV6 "Support for IPv6" on \
X		LDAP "Support for checking LDAP servers" on \
X		JABBER "Use jabber media type" on \
X		FPING "Use fping for pinging hosts" on
X
X.include <bsd.port.options.mk>
X
X.ifndef WITHOUT_MYSQL
XUSE_MYSQL=	yes
XCONFIGURE_ARGS+=	--with-mysql
X.elifdef WITH_PGSQL
XUSE_PGSQL=	yes
XCONFIGURE_ARGS+=	--with-pgsql
X.elifdef WITH_SQLITE
XUSE_SQLITE=	yes
XCONFIGURE_ARGS+=	--with-sqlite3
X.else
XIGNORE=		zabbix requires a database backend
X.endif
X
X.ifndef WITHOUT_LDAP
XUSE_OPENLDAP=	yes
XCONFIGURE_ARGS+=	--with-ldap
X.endif
X
X.ifndef WITHOUT_JABBER
XLIB_DEPENDS+=	iksemel:${PORTSDIR}/textproc/iksemel
XCONFIGURE_ARGS+=	--with-jabber
X.endif
X
X.ifndef WITHOUT_FPING
XRUN_DEPENDS+=	fping:${PORTSDIR}/net/fping
X.endif
X.endif # if ${ZABBIX_BUILD} != "agent"
X
X.ifdef WITH_IPV6
XCONFIGURE_ARGS+=	--enable-ipv6
X.endif
X
Xpost-patch:
X	@${GREP} -rl "/etc/zabbix" ${WRKSRC} \
X	  | ${XARGS} ${REINPLACE_CMD} -e 's#/etc/zabbix#${ETCDIR}#g' \
X	  && ${FIND} ${WRKSRC} -type f -name '*.bak' -exec ${RM} -f {} +
X
X.if ${ZABBIX_BUILD} != "agent"
X.ifdef WITHOUT_FPING
X	@${ECHO} 'DisablePinger=yes' >> ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}.conf
X.endif
X.endif
X
Xpost-install:
X	@${INSTALL} -d ${ETCDIR}
X	@${INSTALL_DATA} ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}.conf ${ETCDIR}/${PORTNAME}_${ZABBIX_BUILD}.conf.sample
X
X.if ${ZABBIX_BUILD} == "agent"
X	@${INSTALL_DATA} ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}d.conf ${ETCDIR}/${PORTNAME}_${ZABBIX_BUILD}d.conf.sample
X.endif
X
X.if ${ZABBIX_BUILD} != "agent"
X	@cd ${WRKSRC}/upgrades/ && ${COPYTREE_SHARE} dbpatches ${DATADIR}/${ZABBIX_BUILD}/upgrades/
X	@cd ${WRKSRC}/create/ && ${COPYTREE_SHARE} "data schema" ${DATADIR}/${ZABBIX_BUILD}/create/
X	@${CAT} ${PKGMESSAGE}
X.endif
X.endif # if ${ZABBIX_BUILD} != "frontend"
X
X.include <bsd.port.mk>
END-of-net-mgmt/zabbix16-server/Makefile
echo x - net-mgmt/zabbix16-server/distinfo
sed 's/^X//' >net-mgmt/zabbix16-server/distinfo << 'END-of-net-mgmt/zabbix16-server/distinfo'
XMD5 (zabbix-1.6.8.tar.gz) = 3255afd2d44454bae3ec5158920a824f
XSHA256 (zabbix-1.6.8.tar.gz) = b0fb1bebbe8ee2eaab1c5ee417938191efc7ff1dddd2ce9b275c8bc97b02029e
XSIZE (zabbix-1.6.8.tar.gz) = 8397381
END-of-net-mgmt/zabbix16-server/distinfo
echo x - net-mgmt/zabbix16-server/pkg-plist
sed 's/^X//' >net-mgmt/zabbix16-server/pkg-plist << 'END-of-net-mgmt/zabbix16-server/pkg-plist'
X@comment $FreeBSD$
X%%ETCDIR%%/zabbix_%%ZABBIX_BUILD%%.conf.sample
Xsbin/zabbix_%%ZABBIX_BUILD%%
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/data.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Hub.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Hub_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Network.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Network_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Notebook.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Notebook_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Phone.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Phone_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Printer.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Printer_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Router.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Router_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Satellite.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Satellite_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Server.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Server_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_mysql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_oracle.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_pgsql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_sqlite3.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/mysql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/oracle.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/postgresql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/sqlite.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/mysql/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/oracle/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/postgresql/patch.sql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/postgresql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/oracle
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/mysql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/data
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%
X@dirrmtry %%DATADIR%%
X@dirrmtry %%ETCDIR%%
END-of-net-mgmt/zabbix16-server/pkg-plist
echo x - net-mgmt/zabbix16-server/pkg-plist.frontend
sed 's/^X//' >net-mgmt/zabbix16-server/pkg-plist.frontend << 'END-of-net-mgmt/zabbix16-server/pkg-plist.frontend'
X@comment $FreeBSD$
X%%WWWDIR%%/acknow.php
X%%WWWDIR%%/actionconf.php
X%%WWWDIR%%/audio/trigger_off.wav
X%%WWWDIR%%/audio/trigger_on.wav
X%%WWWDIR%%/audio/trigger_on_average.wav
X%%WWWDIR%%/audio/trigger_on_disaster.wav
X%%WWWDIR%%/audio/trigger_on_high.wav
X%%WWWDIR%%/audio/trigger_on_warning.wav
X%%WWWDIR%%/audit.php
X%%WWWDIR%%/authentication.php
X%%WWWDIR%%/chart.php
X%%WWWDIR%%/chart2.php
X%%WWWDIR%%/chart3.php
X%%WWWDIR%%/chart4.php
X%%WWWDIR%%/chart5.php
X%%WWWDIR%%/chart6.php
X%%WWWDIR%%/chart7.php
X%%WWWDIR%%/chart_sla.php
X%%WWWDIR%%/charts.php
X%%WWWDIR%%/conf/COPYING
X%%WWWDIR%%/conf/maintenance.inc.php
X%%WWWDIR%%/config.php
X%%WWWDIR%%/css.css
X%%WWWDIR%%/dashboard.php
X%%WWWDIR%%/discovery.php
X%%WWWDIR%%/discoveryconf.php
X%%WWWDIR%%/events.php
X%%WWWDIR%%/exp_imp.php
X%%WWWDIR%%/graphs.php
X%%WWWDIR%%/history.php
X%%WWWDIR%%/hostprofiles.php
X%%WWWDIR%%/hosts.php
X%%WWWDIR%%/httpconf.php
X%%WWWDIR%%/httpdetails.php
X%%WWWDIR%%/httpmon.php
X%%WWWDIR%%/image.php
X%%WWWDIR%%/images/flash/zbxclock.swf
X%%WWWDIR%%/images/general/bar/arrow_down.gif
X%%WWWDIR%%/images/general/bar/arrow_l.gif
X%%WWWDIR%%/images/general/bar/arrow_r.gif
X%%WWWDIR%%/images/general/bar/arrow_sm.gif
X%%WWWDIR%%/images/general/bar/arrow_up.gif
X%%WWWDIR%%/images/general/bar/bar_bg.gif
X%%WWWDIR%%/images/general/bar/bar_left.gif
X%%WWWDIR%%/images/general/bar/bar_middle.gif
X%%WWWDIR%%/images/general/bar/bar_right.gif
X%%WWWDIR%%/images/general/bar/bg.gif
X%%WWWDIR%%/images/general/bar/cal.gif
X%%WWWDIR%%/images/general/bar/left.gif
X%%WWWDIR%%/images/general/bar/right.gif
X%%WWWDIR%%/images/general/bttn/arrowdown.png
X%%WWWDIR%%/images/general/bttn/arrowdown_bb.png
X%%WWWDIR%%/images/general/bttn/arrowup.png
X%%WWWDIR%%/images/general/bttn/arrowup_bb.png
X%%WWWDIR%%/images/general/bttn/down.png
X%%WWWDIR%%/images/general/bttn/down_bb.png
X%%WWWDIR%%/images/general/bttn/fullscreen.png
X%%WWWDIR%%/images/general/bttn/fullscreen_bb.png
X%%WWWDIR%%/images/general/bttn/help.png
X%%WWWDIR%%/images/general/bttn/help_bb.png
X%%WWWDIR%%/images/general/bttn/menu.png
X%%WWWDIR%%/images/general/bttn/menu_bb.png
X%%WWWDIR%%/images/general/bttn/minus.png
X%%WWWDIR%%/images/general/bttn/minus_bb.png
X%%WWWDIR%%/images/general/bttn/mute.png
X%%WWWDIR%%/images/general/bttn/mute_bb.png
X%%WWWDIR%%/images/general/bttn/plus.png
X%%WWWDIR%%/images/general/bttn/plus_bb.png
X%%WWWDIR%%/images/general/bttn/reset.png
X%%WWWDIR%%/images/general/bttn/reset_bb.png
X%%WWWDIR%%/images/general/bttn/sound.png
X%%WWWDIR%%/images/general/bttn/sound_bb.png
X%%WWWDIR%%/images/general/bttn/up.png
X%%WWWDIR%%/images/general/bttn/up_bb.png
X%%WWWDIR%%/images/general/chart.png
X%%WWWDIR%%/images/general/closed.gif
X%%WWWDIR%%/images/general/down_icon.png
X%%WWWDIR%%/images/general/error_small.gif
X%%WWWDIR%%/images/general/help.gif
X%%WWWDIR%%/images/general/inst_completed.gif
X%%WWWDIR%%/images/general/inst_current.gif
X%%WWWDIR%%/images/general/inst_step.gif
X%%WWWDIR%%/images/general/opened.gif
X%%WWWDIR%%/images/general/sort_downw.gif
X%%WWWDIR%%/images/general/sort_upw.gif
X%%WWWDIR%%/images/general/sortdown.gif
X%%WWWDIR%%/images/general/sortdown_off.gif
X%%WWWDIR%%/images/general/sortup.gif
X%%WWWDIR%%/images/general/sortup_off.gif
X%%WWWDIR%%/images/general/tick.png
X%%WWWDIR%%/images/general/tree/minus.gif
X%%WWWDIR%%/images/general/tree/plus.gif
X%%WWWDIR%%/images/general/tree/point.gif
X%%WWWDIR%%/images/general/tree/pointc.gif
X%%WWWDIR%%/images/general/tree/pointl.gif
X%%WWWDIR%%/images/general/tree/zero.gif
X%%WWWDIR%%/images/general/trigg_dep.gif
X%%WWWDIR%%/images/general/trigg_dep.png
X%%WWWDIR%%/images/general/up_icon.png
X%%WWWDIR%%/images/general/warning16r.gif
X%%WWWDIR%%/images/general/warning_small.gif
X%%WWWDIR%%/images/general/zabbix.ico
X%%WWWDIR%%/images/general/zabbix.png
X%%WWWDIR%%/images/general/zabbix_bb.ico
X%%WWWDIR%%/images/general/zabbix_bb.png
X%%WWWDIR%%/images/general/zabbix_ob.ico
X%%WWWDIR%%/images/gradients/blink1.gif
X%%WWWDIR%%/images/gradients/blink2.gif
X%%WWWDIR%%/images/gradients/button.gif
X%%WWWDIR%%/images/gradients/gradient.png
X%%WWWDIR%%/images/gradients/menu_not_active.gif
X%%WWWDIR%%/images/gradients/menu_not_active_bb.gif
X%%WWWDIR%%/images/gradients/sla_green.png
X%%WWWDIR%%/images/gradients/sla_red.png
X%%WWWDIR%%/images/gradients/table_head.gif
X%%WWWDIR%%/images/gradients/table_head2.gif
X%%WWWDIR%%/images/gradients/table_head2_bb.gif
X%%WWWDIR%%/images/gradients/table_head_bb.gif
X%%WWWDIR%%/images/sysmaps/Hub.png
X%%WWWDIR%%/images/sysmaps/Hub_small.png
X%%WWWDIR%%/images/sysmaps/Network.png
X%%WWWDIR%%/images/sysmaps/Network_small.png
X%%WWWDIR%%/images/sysmaps/Notebook.png
X%%WWWDIR%%/images/sysmaps/Notebook_small.png
X%%WWWDIR%%/images/sysmaps/Phone.png
X%%WWWDIR%%/images/sysmaps/Phone_small.png
X%%WWWDIR%%/images/sysmaps/Printer.png
X%%WWWDIR%%/images/sysmaps/Printer_small.png
X%%WWWDIR%%/images/sysmaps/README
X%%WWWDIR%%/images/sysmaps/Router.png
X%%WWWDIR%%/images/sysmaps/Router_small.png
X%%WWWDIR%%/images/sysmaps/Satellite.png
X%%WWWDIR%%/images/sysmaps/Satellite_small.png
X%%WWWDIR%%/images/sysmaps/Server.png
X%%WWWDIR%%/images/sysmaps/Server_small.png
X%%WWWDIR%%/images/sysmaps/UPS.png
X%%WWWDIR%%/images/sysmaps/UPS_small.png
X%%WWWDIR%%/images/sysmaps/Workstation.png
X%%WWWDIR%%/images/sysmaps/Workstation_small.png
X%%WWWDIR%%/images/sysmaps/old/Hub.png
X%%WWWDIR%%/images/sysmaps/old/Notebook.png
X%%WWWDIR%%/images/sysmaps/old/Printer.png
X%%WWWDIR%%/images/sysmaps/old/Router.png
X%%WWWDIR%%/images/sysmaps/old/Server.png
X%%WWWDIR%%/images/sysmaps/old/Workstation.png
X%%WWWDIR%%/include/.htaccess
X%%WWWDIR%%/include/acknow.inc.php
X%%WWWDIR%%/include/actions.inc.php
X%%WWWDIR%%/include/audit.inc.php
X%%WWWDIR%%/include/blocks.inc.php
X%%WWWDIR%%/include/classes/.htaccess
X%%WWWDIR%%/include/classes/cbutton.inc.php
X%%WWWDIR%%/include/classes/ccheckbox.inc.php
X%%WWWDIR%%/include/classes/ccolor.inc.php
X%%WWWDIR%%/include/classes/ccombobox.inc.php
X%%WWWDIR%%/include/classes/cfile.inc.php
X%%WWWDIR%%/include/classes/cflash.inc.php
X%%WWWDIR%%/include/classes/cflashclock.mod.php
X%%WWWDIR%%/include/classes/cform.inc.php
X%%WWWDIR%%/include/classes/cformtable.inc.php
X%%WWWDIR%%/include/classes/chart.inc.php
X%%WWWDIR%%/include/classes/chelp.inc.php
X%%WWWDIR%%/include/classes/chostsinfo.mod.php
X%%WWWDIR%%/include/classes/ciframe.inc.php
X%%WWWDIR%%/include/classes/cimg.inc.php
X%%WWWDIR%%/include/classes/cldap.inc.php
X%%WWWDIR%%/include/classes/clink.inc.php
X%%WWWDIR%%/include/classes/clist.inc.php
X%%WWWDIR%%/include/classes/cmap.inc.php
X%%WWWDIR%%/include/classes/cpumenu.inc.php
X%%WWWDIR%%/include/classes/cscript.inc.php
X%%WWWDIR%%/include/classes/cserverinfo.mod.php
X%%WWWDIR%%/include/classes/cspan.inc.php
X%%WWWDIR%%/include/classes/ctable.inc.php
X%%WWWDIR%%/include/classes/ctableinfo.inc.php
X%%WWWDIR%%/include/classes/ctag.inc.php
X%%WWWDIR%%/include/classes/ctextarea.inc.php
X%%WWWDIR%%/include/classes/ctextbox.inc.php
X%%WWWDIR%%/include/classes/ctree.inc.php
X%%WWWDIR%%/include/classes/ctriggerinfo.mod.php
X%%WWWDIR%%/include/classes/curl.inc.php
X%%WWWDIR%%/include/classes/cvar.inc.php
X%%WWWDIR%%/include/classes/graph.inc.php
X%%WWWDIR%%/include/classes/pie.inc.php
X%%WWWDIR%%/include/config.inc.php
X%%WWWDIR%%/include/copt.lib.php
X%%WWWDIR%%/include/db.inc.php
X%%WWWDIR%%/include/defines.inc.php
X%%WWWDIR%%/include/discovery.inc.php
X%%WWWDIR%%/include/events.inc.php
X%%WWWDIR%%/include/export.inc.php
X%%WWWDIR%%/include/forms.inc.php
X%%WWWDIR%%/include/func.inc.php
X%%WWWDIR%%/include/graphs.inc.php
X%%WWWDIR%%/include/hosts.inc.php
X%%WWWDIR%%/include/html.inc.php
X%%WWWDIR%%/include/httptest.inc.php
X%%WWWDIR%%/include/images.inc.php
X%%WWWDIR%%/include/import.inc.php
X%%WWWDIR%%/include/items.inc.php
X%%WWWDIR%%/include/js.inc.php
X%%WWWDIR%%/include/locales.inc.php
X%%WWWDIR%%/include/locales/cn_zh.inc.php
X%%WWWDIR%%/include/locales/de_de.inc.php
X%%WWWDIR%%/include/locales/en_gb.inc.php
X%%WWWDIR%%/include/locales/fr_fr.inc.php
X%%WWWDIR%%/include/locales/hu_hu.inc.php
X%%WWWDIR%%/include/locales/it_it.inc.php
X%%WWWDIR%%/include/locales/ja_jp.inc.php
X%%WWWDIR%%/include/locales/ko_kr.inc.php
X%%WWWDIR%%/include/locales/lv_lv.inc.php
X%%WWWDIR%%/include/locales/nl_nl.inc.php
X%%WWWDIR%%/include/locales/pl_pl.inc.php
X%%WWWDIR%%/include/locales/pt_br.inc.php
X%%WWWDIR%%/include/locales/ru_ru.inc.php
X%%WWWDIR%%/include/locales/sp_sp.inc.php
X%%WWWDIR%%/include/locales/sv_se.inc.php
X%%WWWDIR%%/include/maps.inc.php
X%%WWWDIR%%/include/media.inc.php
X%%WWWDIR%%/include/nodes.inc.php
X%%WWWDIR%%/include/page_footer.php
X%%WWWDIR%%/include/page_header.php
X%%WWWDIR%%/include/perm.inc.php
X%%WWWDIR%%/include/profiles.inc.php
X%%WWWDIR%%/include/reports.inc.php
X%%WWWDIR%%/include/screens.inc.php
X%%WWWDIR%%/include/scripts.inc.php
X%%WWWDIR%%/include/services.inc.php
X%%WWWDIR%%/include/setup.inc.php
X%%WWWDIR%%/include/triggers.inc.php
X%%WWWDIR%%/include/users.inc.php
X%%WWWDIR%%/include/validate.inc.php
X%%WWWDIR%%/index.php
X%%WWWDIR%%/instal.php
X%%WWWDIR%%/items.php
X%%WWWDIR%%/js/ajax_req.js
X%%WWWDIR%%/js/calendar.js
X%%WWWDIR%%/js/common.js
X%%WWWDIR%%/js/gmenu.js
X%%WWWDIR%%/js/gpc.js
X%%WWWDIR%%/js/graphs.js
X%%WWWDIR%%/js/menu.js
X%%WWWDIR%%/js/menu_scripts.js
X%%WWWDIR%%/js/prototype.js
X%%WWWDIR%%/js/sbinit.js
X%%WWWDIR%%/js/sbox.js
X%%WWWDIR%%/js/scrollbar.js
X%%WWWDIR%%/js/services.js
X%%WWWDIR%%/js/showhint.js
X%%WWWDIR%%/js/tree.js
X%%WWWDIR%%/js/updater.js
X%%WWWDIR%%/latest.php
X%%WWWDIR%%/locales.php
X%%WWWDIR%%/map.php
X%%WWWDIR%%/maps.php
X%%WWWDIR%%/media_types.php
X%%WWWDIR%%/nodes.php
X%%WWWDIR%%/overview.php
X%%WWWDIR%%/popup.php
X%%WWWDIR%%/popup_gitem.php
X%%WWWDIR%%/popup_httpstep.php
X%%WWWDIR%%/popup_link_tr.php
X%%WWWDIR%%/popup_media.php
X%%WWWDIR%%/popup_right.php
X%%WWWDIR%%/popup_trexpr.php
X%%WWWDIR%%/popup_users.php
X%%WWWDIR%%/popup_usrgrp.php
X%%WWWDIR%%/profile.php
X%%WWWDIR%%/queue.php
X%%WWWDIR%%/report1.php
X%%WWWDIR%%/report2.php
X%%WWWDIR%%/report3.php
X%%WWWDIR%%/report4.php
X%%WWWDIR%%/report5.php
X%%WWWDIR%%/screenconf.php
X%%WWWDIR%%/screenedit.php
X%%WWWDIR%%/screens.php
X%%WWWDIR%%/scripts.php
X%%WWWDIR%%/scripts_exec.php
X%%WWWDIR%%/services.php
X%%WWWDIR%%/services_form.php
X%%WWWDIR%%/setup.php
X%%WWWDIR%%/srv_status.php
X%%WWWDIR%%/styles/blocks.css
X%%WWWDIR%%/styles/calendar.css
X%%WWWDIR%%/styles/css_bb.css
X%%WWWDIR%%/styles/css_ob.css
X%%WWWDIR%%/styles/default.css
X%%WWWDIR%%/styles/div.css
X%%WWWDIR%%/styles/form.css
X%%WWWDIR%%/styles/link.css
X%%WWWDIR%%/styles/p.css
X%%WWWDIR%%/styles/popupmenu.css
X%%WWWDIR%%/styles/table.css
X%%WWWDIR%%/styles/ul.css
X%%WWWDIR%%/sysmap.php
X%%WWWDIR%%/sysmaps.php
X%%WWWDIR%%/tr_comments.php
X%%WWWDIR%%/tr_events.php
X%%WWWDIR%%/tr_status.php
X%%WWWDIR%%/triggers.php
X%%WWWDIR%%/users.php
X%%WWWDIR%%/vtext.php
X%%WWWDIR%%/warning.php
X@dirrm %%WWWDIR%%/styles
X@dirrm %%WWWDIR%%/js
X@dirrm %%WWWDIR%%/include/locales
X@dirrm %%WWWDIR%%/include/classes
X@dirrm %%WWWDIR%%/include
X@dirrm %%WWWDIR%%/images/sysmaps/old
X@dirrm %%WWWDIR%%/images/sysmaps
X@dirrm %%WWWDIR%%/images/gradients
X@dirrm %%WWWDIR%%/images/general/tree
X@dirrm %%WWWDIR%%/images/general/bttn
X@dirrm %%WWWDIR%%/images/general/bar
X@dirrm %%WWWDIR%%/images/general
X@dirrm %%WWWDIR%%/images/flash
X@dirrm %%WWWDIR%%/images
X@dirrm %%WWWDIR%%/conf
X@dirrm %%WWWDIR%%/audio
X@dirrm %%WWWDIR%%
END-of-net-mgmt/zabbix16-server/pkg-plist.frontend
echo x - net-mgmt/zabbix16-server/pkg-plist.agent
sed 's/^X//' >net-mgmt/zabbix16-server/pkg-plist.agent << 'END-of-net-mgmt/zabbix16-server/pkg-plist.agent'
X@comment $FreeBSD$
X%%ETCDIR%%/zabbix_agent.conf.sample
X%%ETCDIR%%/zabbix_agentd.conf.sample
Xbin/zabbix_get
Xbin/zabbix_sender
Xsbin/zabbix_agent
Xsbin/zabbix_agentd
X@dirrmtry %%ETCDIR%%
END-of-net-mgmt/zabbix16-server/pkg-plist.agent
echo x - net-mgmt/zabbix16-server/pkg-descr
sed 's/^X//' >net-mgmt/zabbix16-server/pkg-descr << 'END-of-net-mgmt/zabbix16-server/pkg-descr'
XZabbix is an enterprise-class open source distributed monitoring
Xsolution.
X
XZabbix is software that monitors numerous parameters of a network and
Xthe health and integrity of servers. Zabbix uses a flexible
Xnotification mechanism that allows users to configure e-mail based
Xalerts for virtually any event. This allows a fast reaction to server
Xproblems. Zabbix offers excellent reporting and data visualisation
Xfeatures based on the stored data. This makes Zabbix ideal for
Xcapacity planning.
X
XWWW: http://www.zabbix.com/
END-of-net-mgmt/zabbix16-server/pkg-descr
exit

--- zabbix.shar ends here ---
Comment 6 Jim Riggs 2009-12-11 19:06:52 UTC
>Submitter-Id:	current-users
>Originator:	Jim Riggs
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/141364: Update port: net-mgmt/zabbix to 1.8
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 6.3-RELEASE-p2 amd64
>Environment:
System: FreeBSD zion.christianserving.org 6.3-RELEASE-p2 FreeBSD 6.3-RELEASE-p2 #3: Mon May  5 21:27:22 CDT
>Description:
Previous shar had two patches that aren't needed for 1.8.  That's what I get for copying.
>How-To-Repeat:
>Fix:

--- zabbix.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	MOVED
#	UPDATING
#	net-mgmt
#	net-mgmt/zabbix-agent
#	net-mgmt/zabbix-agent/Makefile
#	net-mgmt/zabbix-frontend
#	net-mgmt/zabbix-frontend/Makefile
#	net-mgmt/zabbix-proxy
#	net-mgmt/zabbix-proxy/Makefile
#	net-mgmt/zabbix-server
#	net-mgmt/zabbix-server/files
#	net-mgmt/zabbix-server/files/pkg-message.in
#	net-mgmt/zabbix-server/files/zabbix_proxy.in
#	net-mgmt/zabbix-server/files/zabbix_server.in
#	net-mgmt/zabbix-server/files/zabbix_agentd.in
#	net-mgmt/zabbix-server/Makefile
#	net-mgmt/zabbix-server/distinfo
#	net-mgmt/zabbix-server/pkg-descr
#	net-mgmt/zabbix-server/pkg-plist
#	net-mgmt/zabbix-server/pkg-plist.frontend
#	net-mgmt/zabbix-server/pkg-plist.agent
#	net-mgmt/zabbix16-agent
#	net-mgmt/zabbix16-agent/Makefile
#	net-mgmt/zabbix16-frontend
#	net-mgmt/zabbix16-frontend/Makefile
#	net-mgmt/zabbix16-proxy
#	net-mgmt/zabbix16-proxy/Makefile
#	net-mgmt/zabbix16-server
#	net-mgmt/zabbix16-server/files
#	net-mgmt/zabbix16-server/files/pkg-message.in
#	net-mgmt/zabbix16-server/files/zabbix_proxy.in
#	net-mgmt/zabbix16-server/files/zabbix_server.in
#	net-mgmt/zabbix16-server/files/zabbix_agentd.in
#	net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in
#	net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in
#	net-mgmt/zabbix16-server/Makefile
#	net-mgmt/zabbix16-server/distinfo
#	net-mgmt/zabbix16-server/pkg-plist
#	net-mgmt/zabbix16-server/pkg-plist.frontend
#	net-mgmt/zabbix16-server/pkg-plist.agent
#	net-mgmt/zabbix16-server/pkg-descr
#
echo x - MOVED
sed 's/^X//' >MOVED << 'END-of-MOVED'
Xnet-mgmt/zabbix|net-mgmt/zabbix-server|2009-12-11|port was split into three components
END-of-MOVED
echo x - UPDATING
sed 's/^X//' >UPDATING << 'END-of-UPDATING'
X20091211
X  AFFECTS: users of net-mgmt/zabbix, net-mgmt/zabbix-agent
X  AUTHOR: Jim Riggs <ports@christianserving.org>
X
X  In order to simplify configuration and better separate the different
X  components of Zabbix, the former zabbix port has been split into
X  three: zabbix-server, zabbix-proxy, and zabbix-frontend.  Each
X  component has distinct functionality and may be installed
X  independently on separate systems.  The existing zabbix-agent port
X  remains.
X
X  Additionally, the new zabbix-frontend port now (correctly) installs
X  the PHP frontend in PREFIX/www/zabbix.  The old zabbix port
X  installed the files in PREFIX/share/zabbix/php.  Web server
X  configurations must be updated accordingly.
X
X  Finally, Zabbix has been updated to version 1.8.  Not everyone may
X  be able to upgradee from version 1.6 immediately, though, so 1.6.8
X  versions of the ports are also available as zabbix16-server,
X  zabbix16-proxy, zabbix16-agent, and zabbix16-frontend.
END-of-UPDATING
echo c - net-mgmt
mkdir -p net-mgmt > /dev/null 2>&1
echo c - net-mgmt/zabbix-agent
mkdir -p net-mgmt/zabbix-agent > /dev/null 2>&1
echo x - net-mgmt/zabbix-agent/Makefile
sed 's/^X//' >net-mgmt/zabbix-agent/Makefile << 'END-of-net-mgmt/zabbix-agent/Makefile'
X# Ports collection makefile for:	zabbix-agent
X# Date created:		Jun 18 2003
X# Whom:			Sergey Akifyev <asa@gascom.ru>
X#
X# $FreeBSD: ports/net-mgmt/zabbix-agent/Makefile,v 1.29 2009/09/25 07:31:11 wen Exp $
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-agent
X
XMASTERDIR=	${.CURDIR}/../zabbix-server
X
XPLIST=		${PKGDIR}/pkg-plist.agent
X
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	IPV6 "Support for IPv6" on
X
X.include <bsd.port.options.mk>
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix-agent/Makefile
echo c - net-mgmt/zabbix-frontend
mkdir -p net-mgmt/zabbix-frontend > /dev/null 2>&1
echo x - net-mgmt/zabbix-frontend/Makefile
sed 's/^X//' >net-mgmt/zabbix-frontend/Makefile << 'END-of-net-mgmt/zabbix-frontend/Makefile'
X# New ports collection makefile for:	zabbix-frontend
X# Date created:		2009-12-09
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-frontend
X
XMASTERDIR=	${.CURDIR}/../zabbix-server
X
XNO_BUILD=	yes
XPATCHDIR=
XPLIST=		${PKGDIR}/pkg-plist.frontend
X
XUSE_PHP=	bcmath gd pcre snmp sockets
XIGNORE_WITH_PHP=	4
XWANT_PHP_WEB=	yes
X
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	MYSQL "Use MySQL backend" on \
X		PGSQL "Use PostgreSQL backend" off \
X		SQLITE "Use SQLite backend" off
X
X.include <bsd.port.options.mk>
X
X.ifndef WITHOUT_MYSQL
XUSE_PHP+=	mysql
X.endif
X
X.ifdef WITH_MYSQLI
XUSE_PHP+=	mysqli
X.endif
X
X.ifdef WITH_PGSQL
XUSE_PHP+=	pgsql
X.endif
X
X.ifdef WITH_SQLITE
XUSE_PHP+=	sqlite
X.endif
X
Xdo-install:
X	@${INSTALL} -d ${WWWDIR}
X	@cd ${WRKSRC}/frontends/php/ && ${COPYTREE_SHARE} . ${WWWDIR}
X
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix-frontend/Makefile
echo c - net-mgmt/zabbix-proxy
mkdir -p net-mgmt/zabbix-proxy > /dev/null 2>&1
echo x - net-mgmt/zabbix-proxy/Makefile
sed 's/^X//' >net-mgmt/zabbix-proxy/Makefile << 'END-of-net-mgmt/zabbix-proxy/Makefile'
X# New ports collection makefile for:	zabbix-proxy
X# Date created:		2009-12-09
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-proxy
X
XMASTERDIR=	${.CURDIR}/../zabbix-server
X
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix-proxy/Makefile
echo c - net-mgmt/zabbix-server
mkdir -p net-mgmt/zabbix-server > /dev/null 2>&1
echo c - net-mgmt/zabbix-server/files
mkdir -p net-mgmt/zabbix-server/files > /dev/null 2>&1
echo x - net-mgmt/zabbix-server/files/pkg-message.in
sed 's/^X//' >net-mgmt/zabbix-server/files/pkg-message.in << 'END-of-net-mgmt/zabbix-server/files/pkg-message.in'
X======================================================================
XZabbix requires a database.  If you are using SQLite, one will be
Xcreated automatically.  Otherwise you can install one as follows (<db>
Xis your database engine and <db_client> is its client program):
X
X% cd %%DATADIR%%/%%ZABBIX_BUILD%%/create
X% cat schema/<db>.sql data/data.sql data/images_<db>.sql | <db_client>
X
XTo upgrade an existing database, see the scripts in
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades.
X======================================================================
END-of-net-mgmt/zabbix-server/files/pkg-message.in
echo x - net-mgmt/zabbix-server/files/zabbix_proxy.in
sed 's/^X//' >net-mgmt/zabbix-server/files/zabbix_proxy.in << 'END-of-net-mgmt/zabbix-server/files/zabbix_proxy.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_proxy
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_proxy:
X#
X# zabbix_proxy_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_proxy.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_proxy"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_proxy_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix-server/files/zabbix_proxy.in
echo x - net-mgmt/zabbix-server/files/zabbix_server.in
sed 's/^X//' >net-mgmt/zabbix-server/files/zabbix_server.in << 'END-of-net-mgmt/zabbix-server/files/zabbix_server.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_server
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_server:
X#
X# zabbix_server_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_server.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_server"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_server_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix-server/files/zabbix_server.in
echo x - net-mgmt/zabbix-server/files/zabbix_agentd.in
sed 's/^X//' >net-mgmt/zabbix-server/files/zabbix_agentd.in << 'END-of-net-mgmt/zabbix-server/files/zabbix_agentd.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_agentd
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_agentd:
X#
X# zabbix_agentd_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_agentd.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_agentd"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_agentd_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix-server/files/zabbix_agentd.in
echo x - net-mgmt/zabbix-server/Makefile
sed 's/^X//' >net-mgmt/zabbix-server/Makefile << 'END-of-net-mgmt/zabbix-server/Makefile'
X# New ports collection makefile for:	zabbix-server
X# Date created:		2009-12-09
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPORTVERSION=	1.8
XPORTEPOCH=	2
XCATEGORIES=	net-mgmt
XMASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
XPKGNAMESUFFIX?=	-server
X
XMAINTAINER=	ports@christianserving.org
XCOMMENT=	Enterprise-class open source distributed monitoring (${PKGNAMESUFFIX:S/^-//})
X
XCONFLICTS=	${PKGBASE}-1.[0-6]*
X
X.if ${PKGNAMESUFFIX} != "-agent"
XCONFLICTS+=	${PORTNAME}-1.[0-6]*
X.endif
X
XZABBIX_BUILD=	${PKGNAMESUFFIX:S/^-//}
X
X.if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
XLIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
X		curl:${PORTSDIR}/ftp/curl
X
XSUB_FILES=	pkg-message
X
X.if ${ZABBIX_BUILD} != "agent"
XMAN8=		${PORTNAME}_${ZABBIX_BUILD}.8
XUSE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}
X.else
XMAN1=		${PORTNAME}_get.1 ${PORTNAME}_sender.1
XMAN8=		${PORTNAME}_${ZABBIX_BUILD}d.8
XUSE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}d
X.endif
X
XUSERS=		zabbix
XGROUPS=		zabbix
X
XPLIST_SUB=	ZABBIX_BUILD=${ZABBIX_BUILD}
XSUB_LIST=	ZABBIX_BUILD=${ZABBIX_BUILD}
X
XMAKE_ARGS+=	ARCH=freebsd
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD} --with-net-snmp
X
X.if ${ZABBIX_BUILD} != "agent"
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	MYSQL "Use MySQL backend" on \
X		PGSQL "Use PostgreSQL backend" off \
X		SQLITE "Use SQLite backend" off \
X		IPV6 "Support for IPv6" on \
X		LDAP "Support for checking LDAP servers" on \
X		JABBER "Use jabber media type" on \
X		FPING "Use fping for pinging hosts" on
X
X.include <bsd.port.options.mk>
X
X.ifndef WITHOUT_MYSQL
XUSE_MYSQL=	yes
XCONFIGURE_ARGS+=	--with-mysql
X.elifdef WITH_PGSQL
XUSE_PGSQL=	yes
XCONFIGURE_ARGS+=	--with-pgsql
X.elifdef WITH_SQLITE
XUSE_SQLITE=	yes
XCONFIGURE_ARGS+=	--with-sqlite3
X.else
XIGNORE=		zabbix requires a database backend
X.endif
X
X.ifndef WITHOUT_LDAP
XUSE_OPENLDAP=	yes
XCONFIGURE_ARGS+=	--with-ldap
X.endif
X
X.ifndef WITHOUT_JABBER
XLIB_DEPENDS+=	iksemel:${PORTSDIR}/textproc/iksemel
XCONFIGURE_ARGS+=	--with-jabber
X.endif
X
X.ifndef WITHOUT_FPING
XRUN_DEPENDS+=	fping:${PORTSDIR}/net/fping
X.endif
X.endif # if ${ZABBIX_BUILD} != "agent"
X
X.ifdef WITH_IPV6
XCONFIGURE_ARGS+=	--enable-ipv6
X.endif
X
Xpost-patch:
X	@${GREP} -rl "/etc/zabbix" ${WRKSRC} \
X	  | ${XARGS} ${REINPLACE_CMD} -e 's#/etc/zabbix#${ETCDIR}#g' \
X	  && ${FIND} ${WRKSRC} -type f -name '*.bak' -exec ${RM} -f {} +
X
X.if ${ZABBIX_BUILD} != "agent"
X.ifdef WITHOUT_FPING
X	@${ECHO} 'DisablePinger=yes' >> ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}.conf
X.endif
X.endif
X
Xpost-install:
X	@${INSTALL} -d ${ETCDIR}
X	@${INSTALL_DATA} ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}.conf ${ETCDIR}/${PORTNAME}_${ZABBIX_BUILD}.conf.sample
X
X.if ${ZABBIX_BUILD} == "agent"
X	@${INSTALL_DATA} ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}d.conf ${ETCDIR}/${PORTNAME}_${ZABBIX_BUILD}d.conf.sample
X.endif
X
X.if ${ZABBIX_BUILD} != "agent"
X	@cd ${WRKSRC}/upgrades/ && ${COPYTREE_SHARE} dbpatches ${DATADIR}/${ZABBIX_BUILD}/upgrades/
X	@cd ${WRKSRC}/create/ && ${COPYTREE_SHARE} "data schema" ${DATADIR}/${ZABBIX_BUILD}/create/
X	@${CAT} ${PKGMESSAGE}
X.endif
X.endif # if ${ZABBIX_BUILD} != "frontend"
X
X.include <bsd.port.mk>
END-of-net-mgmt/zabbix-server/Makefile
echo x - net-mgmt/zabbix-server/distinfo
sed 's/^X//' >net-mgmt/zabbix-server/distinfo << 'END-of-net-mgmt/zabbix-server/distinfo'
XMD5 (zabbix-1.8.tar.gz) = 066153713c05f873b4344e4ea1e065e9
XSHA256 (zabbix-1.8.tar.gz) = 6743f01f27116ead7b48927ac184708bb920541c88e63602fe1f2b7401866eec
XSIZE (zabbix-1.8.tar.gz) = 3549582
END-of-net-mgmt/zabbix-server/distinfo
echo x - net-mgmt/zabbix-server/pkg-descr
sed 's/^X//' >net-mgmt/zabbix-server/pkg-descr << 'END-of-net-mgmt/zabbix-server/pkg-descr'
XZabbix is an enterprise-class open source distributed monitoring
Xsolution.
X
XZabbix is software that monitors numerous parameters of a network and
Xthe health and integrity of servers. Zabbix uses a flexible
Xnotification mechanism that allows users to configure e-mail based
Xalerts for virtually any event. This allows a fast reaction to server
Xproblems. Zabbix offers excellent reporting and data visualisation
Xfeatures based on the stored data. This makes Zabbix ideal for
Xcapacity planning.
X
XWWW: http://www.zabbix.com/
END-of-net-mgmt/zabbix-server/pkg-descr
echo x - net-mgmt/zabbix-server/pkg-plist
sed 's/^X//' >net-mgmt/zabbix-server/pkg-plist << 'END-of-net-mgmt/zabbix-server/pkg-plist'
X@comment $FreeBSD$
X%%ETCDIR%%/zabbix_%%ZABBIX_BUILD%%.conf.sample
Xsbin/zabbix_%%ZABBIX_BUILD%%
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/data.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Hub.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Hub_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Network.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Network_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Notebook.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Notebook_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Phone.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Phone_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Printer.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Printer_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Router.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Router_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Satellite.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Satellite_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Server.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Server_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_mysql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_oracle.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_pgsql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_sqlite3.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/mysql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/oracle.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/postgresql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/sqlite.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/mysql/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/oracle/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/postgresql/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/oracle/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/postgresql/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/mysql/upgrade
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/mysql/patch.sql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/postgresql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/oracle
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8/mysql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.8
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/postgresql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/oracle
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/mysql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/data
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%
X@dirrmtry %%DATADIR%%
X@dirrmtry %%ETCDIR%%
END-of-net-mgmt/zabbix-server/pkg-plist
echo x - net-mgmt/zabbix-server/pkg-plist.frontend
sed 's/^X//' >net-mgmt/zabbix-server/pkg-plist.frontend << 'END-of-net-mgmt/zabbix-server/pkg-plist.frontend'
X@comment $FreeBSD$
X%%WWWDIR%%/acknow.php
X%%WWWDIR%%/actionconf.php
X%%WWWDIR%%/api/.htaccess
X%%WWWDIR%%/api/classes/class.caction.php
X%%WWWDIR%%/api/classes/class.calert.php
X%%WWWDIR%%/api/classes/class.capiinfo.php
X%%WWWDIR%%/api/classes/class.capplication.php
X%%WWWDIR%%/api/classes/class.cevent.php
X%%WWWDIR%%/api/classes/class.cgraph.php
X%%WWWDIR%%/api/classes/class.cgraphitem.php
X%%WWWDIR%%/api/classes/class.chost.php
X%%WWWDIR%%/api/classes/class.chostgroup.php
X%%WWWDIR%%/api/classes/class.citem.php
X%%WWWDIR%%/api/classes/class.cmaintenance.php
X%%WWWDIR%%/api/classes/class.cmap.php
X%%WWWDIR%%/api/classes/class.cscreen.php
X%%WWWDIR%%/api/classes/class.cscript.php
X%%WWWDIR%%/api/classes/class.ctemplate.php
X%%WWWDIR%%/api/classes/class.ctrigger.php
X%%WWWDIR%%/api/classes/class.cuser.php
X%%WWWDIR%%/api/classes/class.cusergroup.php
X%%WWWDIR%%/api/classes/class.cusermacro.php
X%%WWWDIR%%/api/classes/class.czbxapi.php
X%%WWWDIR%%/api/rpc/class.cjsonrpc.php
X%%WWWDIR%%/api/rpc/class.czbxrpc.php
X%%WWWDIR%%/api_jsonrpc.php
X%%WWWDIR%%/applications.php
X%%WWWDIR%%/audio/trigger_off.wav
X%%WWWDIR%%/audio/trigger_on.wav
X%%WWWDIR%%/audio/trigger_on_average.wav
X%%WWWDIR%%/audio/trigger_on_disaster.wav
X%%WWWDIR%%/audio/trigger_on_high.wav
X%%WWWDIR%%/audio/trigger_on_warning.wav
X%%WWWDIR%%/auditacts.php
X%%WWWDIR%%/auditlogs.php
X%%WWWDIR%%/authentication.php
X%%WWWDIR%%/chart.php
X%%WWWDIR%%/chart2.php
X%%WWWDIR%%/chart3.php
X%%WWWDIR%%/chart4.php
X%%WWWDIR%%/chart5.php
X%%WWWDIR%%/chart6.php
X%%WWWDIR%%/chart7.php
X%%WWWDIR%%/chart_bar.php
X%%WWWDIR%%/chart_sla.php
X%%WWWDIR%%/charts.php
X%%WWWDIR%%/conf/.htaccess
X%%WWWDIR%%/conf/COPYING
X%%WWWDIR%%/conf/maintenance.inc.php
X%%WWWDIR%%/conf/zabbix.conf.php.example
X%%WWWDIR%%/config.php
X%%WWWDIR%%/css.css
X%%WWWDIR%%/dashboard.php
X%%WWWDIR%%/discovery.php
X%%WWWDIR%%/discoveryconf.php
X%%WWWDIR%%/events.php
X%%WWWDIR%%/export.php
X%%WWWDIR%%/fonts/DejaVuSans.ttf
X%%WWWDIR%%/graphs.php
X%%WWWDIR%%/history.php
X%%WWWDIR%%/hostgroups.php
X%%WWWDIR%%/hostprofiles.php
X%%WWWDIR%%/hosts.php
X%%WWWDIR%%/httpconf.php
X%%WWWDIR%%/httpdetails.php
X%%WWWDIR%%/httpmon.php
X%%WWWDIR%%/image.php
X%%WWWDIR%%/images/flash/zbxclock.swf
X%%WWWDIR%%/images/general/arrowdown.gif
X%%WWWDIR%%/images/general/arrowup.gif
X%%WWWDIR%%/images/general/bar/arrow_down.gif
X%%WWWDIR%%/images/general/bar/arrow_sm.gif
X%%WWWDIR%%/images/general/bar/arrow_up.gif
X%%WWWDIR%%/images/general/bar/bar_bg.png
X%%WWWDIR%%/images/general/bar/bar_middle.png
X%%WWWDIR%%/images/general/bar/bg.png
X%%WWWDIR%%/images/general/bar/cal.gif
X%%WWWDIR%%/images/general/bar/left.png
X%%WWWDIR%%/images/general/bar/left_arr.png
X%%WWWDIR%%/images/general/bar/right.png
X%%WWWDIR%%/images/general/bar/right_arr.png
X%%WWWDIR%%/images/general/bttn/arrowdown.png
X%%WWWDIR%%/images/general/bttn/arrowdown_bb.png
X%%WWWDIR%%/images/general/bttn/arrowleft.png
X%%WWWDIR%%/images/general/bttn/arrowleft_bb.png
X%%WWWDIR%%/images/general/bttn/arrowright.png
X%%WWWDIR%%/images/general/bttn/arrowright_bb.png
X%%WWWDIR%%/images/general/bttn/arrowup.png
X%%WWWDIR%%/images/general/bttn/arrowup_bb.png
X%%WWWDIR%%/images/general/bttn/down.png
X%%WWWDIR%%/images/general/bttn/down_bb.png
X%%WWWDIR%%/images/general/bttn/fullscreen.png
X%%WWWDIR%%/images/general/bttn/fullscreen_bb.png
X%%WWWDIR%%/images/general/bttn/help.png
X%%WWWDIR%%/images/general/bttn/help_bb.png
X%%WWWDIR%%/images/general/bttn/menu.png
X%%WWWDIR%%/images/general/bttn/menu_bb.png
X%%WWWDIR%%/images/general/bttn/minus.png
X%%WWWDIR%%/images/general/bttn/minus_bb.png
X%%WWWDIR%%/images/general/bttn/mute.png
X%%WWWDIR%%/images/general/bttn/mute_bb.png
X%%WWWDIR%%/images/general/bttn/plus.png
X%%WWWDIR%%/images/general/bttn/plus_bb.png
X%%WWWDIR%%/images/general/bttn/reset.png
X%%WWWDIR%%/images/general/bttn/reset_bb.png
X%%WWWDIR%%/images/general/bttn/sound.png
X%%WWWDIR%%/images/general/bttn/sound_bb.png
X%%WWWDIR%%/images/general/bttn/up.png
X%%WWWDIR%%/images/general/bttn/up_bb.png
X%%WWWDIR%%/images/general/chart.png
X%%WWWDIR%%/images/general/closed.gif
X%%WWWDIR%%/images/general/dbl_arrow_down.png
X%%WWWDIR%%/images/general/dbl_arrow_down2.png
X%%WWWDIR%%/images/general/dbl_arrow_up.png
X%%WWWDIR%%/images/general/dbl_arrow_up2.png
X%%WWWDIR%%/images/general/down_icon.png
X%%WWWDIR%%/images/general/error.png
X%%WWWDIR%%/images/general/error_icon.png
X%%WWWDIR%%/images/general/error_small.gif
X%%WWWDIR%%/images/general/help.gif
X%%WWWDIR%%/images/general/inst_completed.gif
X%%WWWDIR%%/images/general/inst_current.gif
X%%WWWDIR%%/images/general/inst_step.gif
X%%WWWDIR%%/images/general/ipmi_available.png
X%%WWWDIR%%/images/general/ipmi_available_bb.png
X%%WWWDIR%%/images/general/ipmi_unavailable.png
X%%WWWDIR%%/images/general/ipmi_unknown.png
X%%WWWDIR%%/images/general/ok.png
X%%WWWDIR%%/images/general/ok_bb.png
X%%WWWDIR%%/images/general/ok_icon.png
X%%WWWDIR%%/images/general/ok_icon_bb.png
X%%WWWDIR%%/images/general/opened.gif
X%%WWWDIR%%/images/general/snmp_available.png
X%%WWWDIR%%/images/general/snmp_available_bb.png
X%%WWWDIR%%/images/general/snmp_unavailable.png
X%%WWWDIR%%/images/general/snmp_unknown.png
X%%WWWDIR%%/images/general/sort_down.png
X%%WWWDIR%%/images/general/sort_down_bb.png
X%%WWWDIR%%/images/general/sort_downw.gif
X%%WWWDIR%%/images/general/sort_up.png
X%%WWWDIR%%/images/general/sort_up_bb.png
X%%WWWDIR%%/images/general/sort_upw.gif
X%%WWWDIR%%/images/general/sortdown.gif
X%%WWWDIR%%/images/general/sortdown_off.gif
X%%WWWDIR%%/images/general/sortup.gif
X%%WWWDIR%%/images/general/sortup_off.gif
X%%WWWDIR%%/images/general/tick.png
X%%WWWDIR%%/images/general/tr_space.gif
X%%WWWDIR%%/images/general/tr_top_bottom.gif
X%%WWWDIR%%/images/general/tr_top_right.gif
X%%WWWDIR%%/images/general/tr_top_right_bottom.gif
X%%WWWDIR%%/images/general/tree/minus.gif
X%%WWWDIR%%/images/general/tree/plus.gif
X%%WWWDIR%%/images/general/tree/point.gif
X%%WWWDIR%%/images/general/tree/pointc.gif
X%%WWWDIR%%/images/general/tree/pointl.gif
X%%WWWDIR%%/images/general/tree/zero.gif
X%%WWWDIR%%/images/general/up_icon.png
X%%WWWDIR%%/images/general/warning16r.gif
X%%WWWDIR%%/images/general/warning_small.gif
X%%WWWDIR%%/images/general/zabbix.ico
X%%WWWDIR%%/images/general/zabbix.png
X%%WWWDIR%%/images/general/zabbix_available.png
X%%WWWDIR%%/images/general/zabbix_available_bb.png
X%%WWWDIR%%/images/general/zabbix_bb.ico
X%%WWWDIR%%/images/general/zabbix_bb.png
X%%WWWDIR%%/images/general/zabbix_ob.ico
X%%WWWDIR%%/images/general/zabbix_unavailable.png
X%%WWWDIR%%/images/general/zabbix_unknown.png
X%%WWWDIR%%/images/general/zero.gif
X%%WWWDIR%%/images/gradients/blink1.gif
X%%WWWDIR%%/images/gradients/blink2.gif
X%%WWWDIR%%/images/gradients/button.gif
X%%WWWDIR%%/images/gradients/gradient.png
X%%WWWDIR%%/images/gradients/menu_not_active.gif
X%%WWWDIR%%/images/gradients/menu_not_active2.gif
X%%WWWDIR%%/images/gradients/menu_not_active_bb.gif
X%%WWWDIR%%/images/gradients/sla_blue.png
X%%WWWDIR%%/images/gradients/sla_blue15.png
X%%WWWDIR%%/images/gradients/sla_green.png
X%%WWWDIR%%/images/gradients/sla_green15.png
X%%WWWDIR%%/images/gradients/sla_red.png
X%%WWWDIR%%/images/gradients/sla_red15.png
X%%WWWDIR%%/images/gradients/table_head.gif
X%%WWWDIR%%/images/gradients/table_head2.gif
X%%WWWDIR%%/images/gradients/table_head2_bb.gif
X%%WWWDIR%%/images/gradients/table_head_bb.gif
X%%WWWDIR%%/images/sysmaps/Hub.png
X%%WWWDIR%%/images/sysmaps/Hub_small.png
X%%WWWDIR%%/images/sysmaps/Network.png
X%%WWWDIR%%/images/sysmaps/Network_small.png
X%%WWWDIR%%/images/sysmaps/Notebook.png
X%%WWWDIR%%/images/sysmaps/Notebook_small.png
X%%WWWDIR%%/images/sysmaps/Phone.png
X%%WWWDIR%%/images/sysmaps/Phone_small.png
X%%WWWDIR%%/images/sysmaps/Printer.png
X%%WWWDIR%%/images/sysmaps/Printer_small.png
X%%WWWDIR%%/images/sysmaps/README
X%%WWWDIR%%/images/sysmaps/Router.png
X%%WWWDIR%%/images/sysmaps/Router_small.png
X%%WWWDIR%%/images/sysmaps/Satellite.png
X%%WWWDIR%%/images/sysmaps/Satellite_small.png
X%%WWWDIR%%/images/sysmaps/Server.png
X%%WWWDIR%%/images/sysmaps/Server_small.png
X%%WWWDIR%%/images/sysmaps/UPS.png
X%%WWWDIR%%/images/sysmaps/UPS_small.png
X%%WWWDIR%%/images/sysmaps/Workstation.png
X%%WWWDIR%%/images/sysmaps/Workstation_small.png
X%%WWWDIR%%/images/sysmaps/old/Hub.png
X%%WWWDIR%%/images/sysmaps/old/Notebook.png
X%%WWWDIR%%/images/sysmaps/old/Printer.png
X%%WWWDIR%%/images/sysmaps/old/Router.png
X%%WWWDIR%%/images/sysmaps/old/Server.png
X%%WWWDIR%%/images/sysmaps/old/Workstation.png
X%%WWWDIR%%/imgstore.php
X%%WWWDIR%%/import.php
X%%WWWDIR%%/include/.htaccess
X%%WWWDIR%%/include/acknow.inc.php
X%%WWWDIR%%/include/actions.inc.php
X%%WWWDIR%%/include/audit.inc.php
X%%WWWDIR%%/include/blocks.inc.php
X%%WWWDIR%%/include/classes/.htaccess
X%%WWWDIR%%/include/classes/class.carea.php
X%%WWWDIR%%/include/classes/class.careamap.php
X%%WWWDIR%%/include/classes/class.cbar.php
X%%WWWDIR%%/include/classes/class.cbutton.php
X%%WWWDIR%%/include/classes/class.cbuttoncancel.php
X%%WWWDIR%%/include/classes/class.cbuttondelete.php
X%%WWWDIR%%/include/classes/class.cbuttonqmessage.php
X%%WWWDIR%%/include/classes/class.cchart.php
X%%WWWDIR%%/include/classes/class.ccheckbox.php
X%%WWWDIR%%/include/classes/class.ccol.php
X%%WWWDIR%%/include/classes/class.ccolor.php
X%%WWWDIR%%/include/classes/class.ccolorcell.php
X%%WWWDIR%%/include/classes/class.ccombobox.php
X%%WWWDIR%%/include/classes/class.ccomboitem.php
X%%WWWDIR%%/include/classes/class.cdiv.php
X%%WWWDIR%%/include/classes/class.ceditablecombobox.php
X%%WWWDIR%%/include/classes/class.cfile.php
X%%WWWDIR%%/include/classes/class.cflash.php
X%%WWWDIR%%/include/classes/class.cflashclock.php
X%%WWWDIR%%/include/classes/class.cflashembed.php
X%%WWWDIR%%/include/classes/class.cform.php
X%%WWWDIR%%/include/classes/class.cformtable.php
X%%WWWDIR%%/include/classes/class.cgraphdraw.php
X%%WWWDIR%%/include/classes/class.chelp.php
X%%WWWDIR%%/include/classes/class.chostsinfo.php
X%%WWWDIR%%/include/classes/class.chttp_request.php
X%%WWWDIR%%/include/classes/class.ciframe.php
X%%WWWDIR%%/include/classes/class.cimagetexttable.php
X%%WWWDIR%%/include/classes/class.cimg.php
X%%WWWDIR%%/include/classes/class.cipbox.php
X%%WWWDIR%%/include/classes/class.cjson.php
X%%WWWDIR%%/include/classes/class.cjsscript.php
X%%WWWDIR%%/include/classes/class.cldap.php
X%%WWWDIR%%/include/classes/class.clink.php
X%%WWWDIR%%/include/classes/class.clist.php
X%%WWWDIR%%/include/classes/class.clistbox.php
X%%WWWDIR%%/include/classes/class.clistitem.php
X%%WWWDIR%%/include/classes/class.cnumericbox.php
X%%WWWDIR%%/include/classes/class.cobject.php
X%%WWWDIR%%/include/classes/class.cparam.php
X%%WWWDIR%%/include/classes/class.cpassbox.php
X%%WWWDIR%%/include/classes/class.cpie.php
X%%WWWDIR%%/include/classes/class.cpumenu.php
X%%WWWDIR%%/include/classes/class.crow.php
X%%WWWDIR%%/include/classes/class.cserverinfo.php
X%%WWWDIR%%/include/classes/class.cspan.php
X%%WWWDIR%%/include/classes/class.ctable.php
X%%WWWDIR%%/include/classes/class.ctableinfo.php
X%%WWWDIR%%/include/classes/class.ctag.php
X%%WWWDIR%%/include/classes/class.ctextarea.php
X%%WWWDIR%%/include/classes/class.ctextbox.php
X%%WWWDIR%%/include/classes/class.ctree.php
X%%WWWDIR%%/include/classes/class.ctriggersinfo.php
X%%WWWDIR%%/include/classes/class.ctweenbox.php
X%%WWWDIR%%/include/classes/class.curl.php
X%%WWWDIR%%/include/classes/class.cvar.php
X%%WWWDIR%%/include/classes/class.cvartag.php
X%%WWWDIR%%/include/classes/class.cvisibilitybox.php
X%%WWWDIR%%/include/classes/class.cwidget.php
X%%WWWDIR%%/include/config.inc.php
X%%WWWDIR%%/include/copt.lib.php
X%%WWWDIR%%/include/db.inc.php
X%%WWWDIR%%/include/defines.inc.php
X%%WWWDIR%%/include/discovery.inc.php
X%%WWWDIR%%/include/events.inc.php
X%%WWWDIR%%/include/export.inc.php
X%%WWWDIR%%/include/forms.inc.php
X%%WWWDIR%%/include/func.inc.php
X%%WWWDIR%%/include/graphs.inc.php
X%%WWWDIR%%/include/hosts.inc.php
X%%WWWDIR%%/include/html.inc.php
X%%WWWDIR%%/include/httptest.inc.php
X%%WWWDIR%%/include/images.inc.php
X%%WWWDIR%%/include/items.inc.php
X%%WWWDIR%%/include/js.inc.php
X%%WWWDIR%%/include/locales.inc.php
X%%WWWDIR%%/include/locales/cn_zh.inc.php
X%%WWWDIR%%/include/locales/de_de.inc.php
X%%WWWDIR%%/include/locales/en_gb.inc.php
X%%WWWDIR%%/include/locales/fr_fr.inc.php
X%%WWWDIR%%/include/locales/hu_hu.inc.php
X%%WWWDIR%%/include/locales/it_it.inc.php
X%%WWWDIR%%/include/locales/ja_jp.inc.php
X%%WWWDIR%%/include/locales/ko_kr.inc.php
X%%WWWDIR%%/include/locales/lv_lv.inc.php
X%%WWWDIR%%/include/locales/nl_nl.inc.php
X%%WWWDIR%%/include/locales/pl_pl.inc.php
X%%WWWDIR%%/include/locales/pt_br.inc.php
X%%WWWDIR%%/include/locales/ru_ru.inc.php
X%%WWWDIR%%/include/locales/sp_sp.inc.php
X%%WWWDIR%%/include/locales/sv_se.inc.php
X%%WWWDIR%%/include/maintenances.inc.php
X%%WWWDIR%%/include/maps.inc.php
X%%WWWDIR%%/include/media.inc.php
X%%WWWDIR%%/include/menu.inc.php
X%%WWWDIR%%/include/nodes.inc.php
X%%WWWDIR%%/include/page_footer.php
X%%WWWDIR%%/include/page_header.php
X%%WWWDIR%%/include/perm.inc.php
X%%WWWDIR%%/include/profiles.inc.php
X%%WWWDIR%%/include/regexp.inc.php
X%%WWWDIR%%/include/reports.inc.php
X%%WWWDIR%%/include/screens.inc.php
X%%WWWDIR%%/include/scripts.inc.php
X%%WWWDIR%%/include/services.inc.php
X%%WWWDIR%%/include/setup.inc.php
X%%WWWDIR%%/include/triggers.inc.php
X%%WWWDIR%%/include/users.inc.php
X%%WWWDIR%%/include/validate.inc.php
X%%WWWDIR%%/index.php
X%%WWWDIR%%/instal.php
X%%WWWDIR%%/items.php
X%%WWWDIR%%/js/class.calendar.js
X%%WWWDIR%%/js/class.cmap.js
X%%WWWDIR%%/js/class.cookie.js
X%%WWWDIR%%/js/class.cscreen.js
X%%WWWDIR%%/js/class.ctree.js
X%%WWWDIR%%/js/class.curl.js
X%%WWWDIR%%/js/class.pmaster.js
X%%WWWDIR%%/js/class.switcher.js
X%%WWWDIR%%/js/common.js
X%%WWWDIR%%/js/functions.js
X%%WWWDIR%%/js/gtlc.js
X%%WWWDIR%%/js/main.js
X%%WWWDIR%%/js/menu.js
X%%WWWDIR%%/js/prototype.js
X%%WWWDIR%%/js/scriptaculous.js
X%%WWWDIR%%/js/scriptaculous/builder.js
X%%WWWDIR%%/js/scriptaculous/controls.js
X%%WWWDIR%%/js/scriptaculous/dragdrop.js
X%%WWWDIR%%/js/scriptaculous/effects.js
X%%WWWDIR%%/js/scriptaculous/slider.js
X%%WWWDIR%%/js/scriptaculous/sound.js
X%%WWWDIR%%/latest.php
X%%WWWDIR%%/locales.php
X%%WWWDIR%%/maintenance.php
X%%WWWDIR%%/map.php
X%%WWWDIR%%/maps.php
X%%WWWDIR%%/media_types.php
X%%WWWDIR%%/nodes.php
X%%WWWDIR%%/overview.php
X%%WWWDIR%%/popup.php
X%%WWWDIR%%/popup_bitem.php
X%%WWWDIR%%/popup_gitem.php
X%%WWWDIR%%/popup_httpstep.php
X%%WWWDIR%%/popup_link_tr.php
X%%WWWDIR%%/popup_media.php
X%%WWWDIR%%/popup_period.php
X%%WWWDIR%%/popup_right.php
X%%WWWDIR%%/popup_trexpr.php
X%%WWWDIR%%/popup_users.php
X%%WWWDIR%%/popup_usrgrp.php
X%%WWWDIR%%/profile.php
X%%WWWDIR%%/proxies.php
X%%WWWDIR%%/queue.php
X%%WWWDIR%%/report1.php
X%%WWWDIR%%/report2.php
X%%WWWDIR%%/report3.php
X%%WWWDIR%%/report4.php
X%%WWWDIR%%/report5.php
X%%WWWDIR%%/report6.php
X%%WWWDIR%%/screenconf.php
X%%WWWDIR%%/screenedit.php
X%%WWWDIR%%/screens.php
X%%WWWDIR%%/scripts.php
X%%WWWDIR%%/scripts_exec.php
X%%WWWDIR%%/search.php
X%%WWWDIR%%/services.php
X%%WWWDIR%%/services_form.php
X%%WWWDIR%%/setup.php
X%%WWWDIR%%/slides.php
X%%WWWDIR%%/srv_status.php
X%%WWWDIR%%/styles/blocks.css
X%%WWWDIR%%/styles/calendar.css
X%%WWWDIR%%/styles/css_bb.css
X%%WWWDIR%%/styles/css_ob.css
X%%WWWDIR%%/styles/default.css
X%%WWWDIR%%/styles/div.css
X%%WWWDIR%%/styles/form.css
X%%WWWDIR%%/styles/link.css
X%%WWWDIR%%/styles/p.css
X%%WWWDIR%%/styles/popupmenu.css
X%%WWWDIR%%/styles/table.css
X%%WWWDIR%%/styles/ul.css
X%%WWWDIR%%/sysmap.php
X%%WWWDIR%%/sysmaps.php
X%%WWWDIR%%/templates.php
X%%WWWDIR%%/tr_comments.php
X%%WWWDIR%%/tr_events.php
X%%WWWDIR%%/tr_logform.php
X%%WWWDIR%%/tr_status.php
X%%WWWDIR%%/tr_testexpr.php
X%%WWWDIR%%/triggers.php
X%%WWWDIR%%/usergrps.php
X%%WWWDIR%%/users.php
X%%WWWDIR%%/vtext.php
X%%WWWDIR%%/warning.php
X@dirrm %%WWWDIR%%/styles
X@dirrm %%WWWDIR%%/js/scriptaculous
X@dirrm %%WWWDIR%%/js
X@dirrm %%WWWDIR%%/include/locales
X@dirrm %%WWWDIR%%/include/classes
X@dirrm %%WWWDIR%%/include
X@dirrm %%WWWDIR%%/images/sysmaps/old
X@dirrm %%WWWDIR%%/images/sysmaps
X@dirrm %%WWWDIR%%/images/gradients
X@dirrm %%WWWDIR%%/images/general/tree
X@dirrm %%WWWDIR%%/images/general/bttn
X@dirrm %%WWWDIR%%/images/general/bar
X@dirrm %%WWWDIR%%/images/general
X@dirrm %%WWWDIR%%/images/flash
X@dirrm %%WWWDIR%%/images
X@dirrm %%WWWDIR%%/fonts
X@dirrm %%WWWDIR%%/conf
X@dirrm %%WWWDIR%%/audio
X@dirrm %%WWWDIR%%/api/rpc
X@dirrm %%WWWDIR%%/api/classes
X@dirrm %%WWWDIR%%/api
X@dirrm %%WWWDIR%%
END-of-net-mgmt/zabbix-server/pkg-plist.frontend
echo x - net-mgmt/zabbix-server/pkg-plist.agent
sed 's/^X//' >net-mgmt/zabbix-server/pkg-plist.agent << 'END-of-net-mgmt/zabbix-server/pkg-plist.agent'
X@comment $FreeBSD$
X%%ETCDIR%%/zabbix_agent.conf.sample
X%%ETCDIR%%/zabbix_agentd.conf.sample
Xbin/zabbix_get
Xbin/zabbix_sender
Xsbin/zabbix_agent
Xsbin/zabbix_agentd
X@dirrmtry %%ETCDIR%%
END-of-net-mgmt/zabbix-server/pkg-plist.agent
echo c - net-mgmt/zabbix16-agent
mkdir -p net-mgmt/zabbix16-agent > /dev/null 2>&1
echo x - net-mgmt/zabbix16-agent/Makefile
sed 's/^X//' >net-mgmt/zabbix16-agent/Makefile << 'END-of-net-mgmt/zabbix16-agent/Makefile'
X# New ports collection makefile for:	zabbix16-agent
X# Date created:		2009-12-10
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD: ports/net-mgmt/zabbix-agent/Makefile,v 1.29 2009/09/25 07:31:11 wen Exp $
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-agent
X
XMASTERDIR=	${.CURDIR}/../zabbix16-server
X
XPLIST=		${PKGDIR}/pkg-plist.agent
X
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	IPV6 "Support for IPv6" on
X
X.include <bsd.port.options.mk>
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix16-agent/Makefile
echo c - net-mgmt/zabbix16-frontend
mkdir -p net-mgmt/zabbix16-frontend > /dev/null 2>&1
echo x - net-mgmt/zabbix16-frontend/Makefile
sed 's/^X//' >net-mgmt/zabbix16-frontend/Makefile << 'END-of-net-mgmt/zabbix16-frontend/Makefile'
X# New ports collection makefile for:	zabbix16-frontend
X# Date created:		2009-12-10
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-frontend
X
XMASTERDIR=	${.CURDIR}/../zabbix16-server
X
XNO_BUILD=	yes
XPATCHDIR=
XPLIST=		${PKGDIR}/pkg-plist.frontend
X
XUSE_PHP=	bcmath gd pcre snmp sockets
XWANT_PHP_WEB=	yes
X
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	MYSQL "Use MySQL backend" on \
X		PGSQL "Use PostgreSQL backend" off \
X		SQLITE "Use SQLite backend" off
X
X.include <bsd.port.options.mk>
X
X.ifndef WITHOUT_MYSQL
XUSE_PHP+=	mysql
X.endif
X
X.ifdef WITH_MYSQLI
XUSE_PHP+=	mysqli
X.endif
X
X.ifdef WITH_PGSQL
XUSE_PHP+=	pgsql
X.endif
X
X.ifdef WITH_SQLITE
XUSE_PHP+=	sqlite
X.endif
X
Xdo-install:
X	@${INSTALL} -d ${WWWDIR}
X	@cd ${WRKSRC}/frontends/php/ && ${COPYTREE_SHARE} . ${WWWDIR}
X
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix16-frontend/Makefile
echo c - net-mgmt/zabbix16-proxy
mkdir -p net-mgmt/zabbix16-proxy > /dev/null 2>&1
echo x - net-mgmt/zabbix16-proxy/Makefile
sed 's/^X//' >net-mgmt/zabbix16-proxy/Makefile << 'END-of-net-mgmt/zabbix16-proxy/Makefile'
X# New ports collection makefile for:	zabbix16-proxy
X# Date created:		2009-12-10
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPKGNAMESUFFIX=	-proxy
X
XMASTERDIR=	${.CURDIR}/../zabbix16-server
X
X.include "${MASTERDIR}/Makefile"
END-of-net-mgmt/zabbix16-proxy/Makefile
echo c - net-mgmt/zabbix16-server
mkdir -p net-mgmt/zabbix16-server > /dev/null 2>&1
echo c - net-mgmt/zabbix16-server/files
mkdir -p net-mgmt/zabbix16-server/files > /dev/null 2>&1
echo x - net-mgmt/zabbix16-server/files/pkg-message.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/pkg-message.in << 'END-of-net-mgmt/zabbix16-server/files/pkg-message.in'
X======================================================================
XZabbix requires a database.  If you are using SQLite, one will be
Xcreated automatically.  Otherwise you can install one as follows (<db>
Xis your database engine and <db_client> is its client program):
X
X% cd %%DATADIR%%/%%ZABBIX_BUILD%%/create
X% cat schema/<db>.sql data/data.sql data/images_<db>.sql | <db_client>
X
XTo upgrade an existing database, see the scripts in
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades.
X======================================================================
END-of-net-mgmt/zabbix16-server/files/pkg-message.in
echo x - net-mgmt/zabbix16-server/files/zabbix_proxy.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/zabbix_proxy.in << 'END-of-net-mgmt/zabbix16-server/files/zabbix_proxy.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_proxy
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_proxy:
X#
X# zabbix_proxy_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_proxy.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_proxy"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_proxy_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix16-server/files/zabbix_proxy.in
echo x - net-mgmt/zabbix16-server/files/zabbix_server.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/zabbix_server.in << 'END-of-net-mgmt/zabbix16-server/files/zabbix_server.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_server
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_server:
X#
X# zabbix_server_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_server.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_server"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_server_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix16-server/files/zabbix_server.in
echo x - net-mgmt/zabbix16-server/files/zabbix_agentd.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/zabbix_agentd.in << 'END-of-net-mgmt/zabbix16-server/files/zabbix_agentd.in'
X#!/bin/sh
X
X# PROVIDE: zabbix_agentd
X# REQUIRE: DAEMON
X# KEYWORD: shutdown
X#
X# Add the following lines to /etc/rc.conf.local or /etc/rc.conf to
X# enable zabbix_agentd:
X#
X# zabbix_agentd_enable (bool): Set to NO by default.  Set it to YES to
X#         enable zabbix_agentd.
X#
X
X. %%RC_SUBR%%
X
Xname="zabbix_agentd"
Xrcvar=${name}_enable
X
Xcommand="%%PREFIX%%/sbin/${name}"
Xrequired_files="%%ETCDIR%%/${name}.conf"
X
Xload_rc_config $name
X
X: ${zabbix_agentd_enable="NO"}
X
Xrun_rc_command "$1"
END-of-net-mgmt/zabbix16-server/files/zabbix_agentd.in
echo x - net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in << 'END-of-net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in'
X--- src/zabbix_get/Makefile.in.bak	2009-12-10 21:00:25.000000000 -0600
X+++ src/zabbix_get/Makefile.in	2009-12-10 21:00:36.000000000 -0600
X@@ -212,7 +212,7 @@
X prefix = @prefix@
X program_transform_name = @program_transform_name@
X psdir = @psdir@
X-sbindir = @sbindir@
X+sbindir = @bindir@
X sharedstatedir = @sharedstatedir@
X srcdir = @srcdir@
X sysconfdir = @sysconfdir@
END-of-net-mgmt/zabbix16-server/files/patch-src:zabbix_get:Makefile.in
echo x - net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in
sed 's/^X//' >net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in << 'END-of-net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in'
X--- src/zabbix_sender/Makefile.in.bak	2009-12-10 21:00:56.000000000 -0600
X+++ src/zabbix_sender/Makefile.in	2009-12-10 21:01:11.000000000 -0600
X@@ -213,7 +213,7 @@
X prefix = @prefix@
X program_transform_name = @program_transform_name@
X psdir = @psdir@
X-sbindir = @sbindir@
X+sbindir = @bindir@
X sharedstatedir = @sharedstatedir@
X srcdir = @srcdir@
X sysconfdir = @sysconfdir@
END-of-net-mgmt/zabbix16-server/files/patch-src:zabbix_sender:Makefile.in
echo x - net-mgmt/zabbix16-server/Makefile
sed 's/^X//' >net-mgmt/zabbix16-server/Makefile << 'END-of-net-mgmt/zabbix16-server/Makefile'
X# New ports collection makefile for:	zabbix16-server
X# Date created:		2009-12-10
X# Whom:			Jim Riggs <ports@christianserving.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zabbix
XPORTVERSION=	1.6.8
XPORTEPOCH=	2
XCATEGORIES=	net-mgmt
XMASTER_SITES=	SF/zabbix/ZABBIX%20Latest%20Stable/${PORTVERSION}
XPKGNAMESUFFIX?=	-server
X
XMAINTAINER=	ports@christianserving.org
XCOMMENT=	Enterprise-class open source distributed monitoring (${PKGNAMESUFFIX:S/^-//})
X
XCONFLICTS=	${PKGBASE}-1.8*
X
X.if ${PKGNAMESUFFIX} != "-agent"
XCONFLICTS+=	${PORTNAME}-1.[0-6]*
X.endif
X
XZABBIX_BUILD=	${PKGNAMESUFFIX:S/^-//}
X
X.if ${ZABBIX_BUILD} != "frontend" # frontend only needs the version/distribution settings
XLIB_DEPENDS=	netsnmp:${PORTSDIR}/net-mgmt/net-snmp \
X		curl:${PORTSDIR}/ftp/curl
X
XSUB_FILES=	pkg-message
X
X.if ${ZABBIX_BUILD} != "agent"
XUSE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}
X.else
XUSE_RC_SUBR=	${PORTNAME}_${ZABBIX_BUILD}d
X.endif
X
XUSERS=		zabbix
XGROUPS=		zabbix
X
XPLIST_SUB=	ZABBIX_BUILD=${ZABBIX_BUILD}
XSUB_LIST=	ZABBIX_BUILD=${ZABBIX_BUILD}
X
XMAKE_ARGS+=	ARCH=freebsd
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS+=	--enable-${ZABBIX_BUILD} --with-net-snmp
X
X.if ${ZABBIX_BUILD} != "agent"
XOPTIONSFILE=	${PORT_DBDIR}/${PORTNAME}${PKGNAMESUFFIX}/options
XOPTIONS=	MYSQL "Use MySQL backend" on \
X		PGSQL "Use PostgreSQL backend" off \
X		SQLITE "Use SQLite backend" off \
X		IPV6 "Support for IPv6" on \
X		LDAP "Support for checking LDAP servers" on \
X		JABBER "Use jabber media type" on \
X		FPING "Use fping for pinging hosts" on
X
X.include <bsd.port.options.mk>
X
X.ifndef WITHOUT_MYSQL
XUSE_MYSQL=	yes
XCONFIGURE_ARGS+=	--with-mysql
X.elifdef WITH_PGSQL
XUSE_PGSQL=	yes
XCONFIGURE_ARGS+=	--with-pgsql
X.elifdef WITH_SQLITE
XUSE_SQLITE=	yes
XCONFIGURE_ARGS+=	--with-sqlite3
X.else
XIGNORE=		zabbix requires a database backend
X.endif
X
X.ifndef WITHOUT_LDAP
XUSE_OPENLDAP=	yes
XCONFIGURE_ARGS+=	--with-ldap
X.endif
X
X.ifndef WITHOUT_JABBER
XLIB_DEPENDS+=	iksemel:${PORTSDIR}/textproc/iksemel
XCONFIGURE_ARGS+=	--with-jabber
X.endif
X
X.ifndef WITHOUT_FPING
XRUN_DEPENDS+=	fping:${PORTSDIR}/net/fping
X.endif
X.endif # if ${ZABBIX_BUILD} != "agent"
X
X.ifdef WITH_IPV6
XCONFIGURE_ARGS+=	--enable-ipv6
X.endif
X
Xpost-patch:
X	@${GREP} -rl "/etc/zabbix" ${WRKSRC} \
X	  | ${XARGS} ${REINPLACE_CMD} -e 's#/etc/zabbix#${ETCDIR}#g' \
X	  && ${FIND} ${WRKSRC} -type f -name '*.bak' -exec ${RM} -f {} +
X
X.if ${ZABBIX_BUILD} != "agent"
X.ifdef WITHOUT_FPING
X	@${ECHO} 'DisablePinger=yes' >> ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}.conf
X.endif
X.endif
X
Xpost-install:
X	@${INSTALL} -d ${ETCDIR}
X	@${INSTALL_DATA} ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}.conf ${ETCDIR}/${PORTNAME}_${ZABBIX_BUILD}.conf.sample
X
X.if ${ZABBIX_BUILD} == "agent"
X	@${INSTALL_DATA} ${WRKSRC}/misc/conf/${PORTNAME}_${ZABBIX_BUILD}d.conf ${ETCDIR}/${PORTNAME}_${ZABBIX_BUILD}d.conf.sample
X.endif
X
X.if ${ZABBIX_BUILD} != "agent"
X	@cd ${WRKSRC}/upgrades/ && ${COPYTREE_SHARE} dbpatches ${DATADIR}/${ZABBIX_BUILD}/upgrades/
X	@cd ${WRKSRC}/create/ && ${COPYTREE_SHARE} "data schema" ${DATADIR}/${ZABBIX_BUILD}/create/
X	@${CAT} ${PKGMESSAGE}
X.endif
X.endif # if ${ZABBIX_BUILD} != "frontend"
X
X.include <bsd.port.mk>
END-of-net-mgmt/zabbix16-server/Makefile
echo x - net-mgmt/zabbix16-server/distinfo
sed 's/^X//' >net-mgmt/zabbix16-server/distinfo << 'END-of-net-mgmt/zabbix16-server/distinfo'
XMD5 (zabbix-1.6.8.tar.gz) = 3255afd2d44454bae3ec5158920a824f
XSHA256 (zabbix-1.6.8.tar.gz) = b0fb1bebbe8ee2eaab1c5ee417938191efc7ff1dddd2ce9b275c8bc97b02029e
XSIZE (zabbix-1.6.8.tar.gz) = 8397381
END-of-net-mgmt/zabbix16-server/distinfo
echo x - net-mgmt/zabbix16-server/pkg-plist
sed 's/^X//' >net-mgmt/zabbix16-server/pkg-plist << 'END-of-net-mgmt/zabbix16-server/pkg-plist'
X@comment $FreeBSD$
X%%ETCDIR%%/zabbix_%%ZABBIX_BUILD%%.conf.sample
Xsbin/zabbix_%%ZABBIX_BUILD%%
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/data.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Hub.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Hub_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Network.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Network_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Notebook.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Notebook_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Phone.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Phone_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Printer.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Printer_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Router.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Router_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Satellite.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Satellite_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Server.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Server_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/UPS_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images/Workstation_small.png
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_mysql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_oracle.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_pgsql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images_sqlite3.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/mysql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/oracle.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/postgresql.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/create/schema/sqlite.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/mysql/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/oracle/patch.sql
X%%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/postgresql/patch.sql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/postgresql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/oracle
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6/mysql
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches/1.6
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades/dbpatches
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/upgrades
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/schema
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/data/images
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create/data
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%/create
X@dirrm %%DATADIR%%/%%ZABBIX_BUILD%%
X@dirrmtry %%DATADIR%%
X@dirrmtry %%ETCDIR%%
END-of-net-mgmt/zabbix16-server/pkg-plist
echo x - net-mgmt/zabbix16-server/pkg-plist.frontend
sed 's/^X//' >net-mgmt/zabbix16-server/pkg-plist.frontend << 'END-of-net-mgmt/zabbix16-server/pkg-plist.frontend'
X@comment $FreeBSD$
X%%WWWDIR%%/acknow.php
X%%WWWDIR%%/actionconf.php
X%%WWWDIR%%/audio/trigger_off.wav
X%%WWWDIR%%/audio/trigger_on.wav
X%%WWWDIR%%/audio/trigger_on_average.wav
X%%WWWDIR%%/audio/trigger_on_disaster.wav
X%%WWWDIR%%/audio/trigger_on_high.wav
X%%WWWDIR%%/audio/trigger_on_warning.wav
X%%WWWDIR%%/audit.php
X%%WWWDIR%%/authentication.php
X%%WWWDIR%%/chart.php
X%%WWWDIR%%/chart2.php
X%%WWWDIR%%/chart3.php
X%%WWWDIR%%/chart4.php
X%%WWWDIR%%/chart5.php
X%%WWWDIR%%/chart6.php
X%%WWWDIR%%/chart7.php
X%%WWWDIR%%/chart_sla.php
X%%WWWDIR%%/charts.php
X%%WWWDIR%%/conf/COPYING
X%%WWWDIR%%/conf/maintenance.inc.php
X%%WWWDIR%%/config.php
X%%WWWDIR%%/css.css
X%%WWWDIR%%/dashboard.php
X%%WWWDIR%%/discovery.php
X%%WWWDIR%%/discoveryconf.php
X%%WWWDIR%%/events.php
X%%WWWDIR%%/exp_imp.php
X%%WWWDIR%%/graphs.php
X%%WWWDIR%%/history.php
X%%WWWDIR%%/hostprofiles.php
X%%WWWDIR%%/hosts.php
X%%WWWDIR%%/httpconf.php
X%%WWWDIR%%/httpdetails.php
X%%WWWDIR%%/httpmon.php
X%%WWWDIR%%/image.php
X%%WWWDIR%%/images/flash/zbxclock.swf
X%%WWWDIR%%/images/general/bar/arrow_down.gif
X%%WWWDIR%%/images/general/bar/arrow_l.gif
X%%WWWDIR%%/images/general/bar/arrow_r.gif
X%%WWWDIR%%/images/general/bar/arrow_sm.gif
X%%WWWDIR%%/images/general/bar/arrow_up.gif
X%%WWWDIR%%/images/general/bar/bar_bg.gif
X%%WWWDIR%%/images/general/bar/bar_left.gif
X%%WWWDIR%%/images/general/bar/bar_middle.gif
X%%WWWDIR%%/images/general/bar/bar_right.gif
X%%WWWDIR%%/images/general/bar/bg.gif
X%%WWWDIR%%/images/general/bar/cal.gif
X%%WWWDIR%%/images/general/bar/left.gif
X%%WWWDIR%%/images/general/bar/right.gif
X%%WWWDIR%%/images/general/bttn/arrowdown.png
X%%WWWDIR%%/images/general/bttn/arrowdown_bb.png
X%%WWWDIR%%/images/general/bttn/arrowup.png
X%%WWWDIR%%/images/general/bttn/arrowup_bb.png
X%%WWWDIR%%/images/general/bttn/down.png
X%%WWWDIR%%/images/general/bttn/down_bb.png
X%%WWWDIR%%/images/general/bttn/fullscreen.png
X%%WWWDIR%%/images/general/bttn/fullscreen_bb.png
X%%WWWDIR%%/images/general/bttn/help.png
X%%WWWDIR%%/images/general/bttn/help_bb.png
X%%WWWDIR%%/images/general/bttn/menu.png
X%%WWWDIR%%/images/general/bttn/menu_bb.png
X%%WWWDIR%%/images/general/bttn/minus.png
X%%WWWDIR%%/images/general/bttn/minus_bb.png
X%%WWWDIR%%/images/general/bttn/mute.png
X%%WWWDIR%%/images/general/bttn/mute_bb.png
X%%WWWDIR%%/images/general/bttn/plus.png
X%%WWWDIR%%/images/general/bttn/plus_bb.png
X%%WWWDIR%%/images/general/bttn/reset.png
X%%WWWDIR%%/images/general/bttn/reset_bb.png
X%%WWWDIR%%/images/general/bttn/sound.png
X%%WWWDIR%%/images/general/bttn/sound_bb.png
X%%WWWDIR%%/images/general/bttn/up.png
X%%WWWDIR%%/images/general/bttn/up_bb.png
X%%WWWDIR%%/images/general/chart.png
X%%WWWDIR%%/images/general/closed.gif
X%%WWWDIR%%/images/general/down_icon.png
X%%WWWDIR%%/images/general/error_small.gif
X%%WWWDIR%%/images/general/help.gif
X%%WWWDIR%%/images/general/inst_completed.gif
X%%WWWDIR%%/images/general/inst_current.gif
X%%WWWDIR%%/images/general/inst_step.gif
X%%WWWDIR%%/images/general/opened.gif
X%%WWWDIR%%/images/general/sort_downw.gif
X%%WWWDIR%%/images/general/sort_upw.gif
X%%WWWDIR%%/images/general/sortdown.gif
X%%WWWDIR%%/images/general/sortdown_off.gif
X%%WWWDIR%%/images/general/sortup.gif
X%%WWWDIR%%/images/general/sortup_off.gif
X%%WWWDIR%%/images/general/tick.png
X%%WWWDIR%%/images/general/tree/minus.gif
X%%WWWDIR%%/images/general/tree/plus.gif
X%%WWWDIR%%/images/general/tree/point.gif
X%%WWWDIR%%/images/general/tree/pointc.gif
X%%WWWDIR%%/images/general/tree/pointl.gif
X%%WWWDIR%%/images/general/tree/zero.gif
X%%WWWDIR%%/images/general/trigg_dep.gif
X%%WWWDIR%%/images/general/trigg_dep.png
X%%WWWDIR%%/images/general/up_icon.png
X%%WWWDIR%%/images/general/warning16r.gif
X%%WWWDIR%%/images/general/warning_small.gif
X%%WWWDIR%%/images/general/zabbix.ico
X%%WWWDIR%%/images/general/zabbix.png
X%%WWWDIR%%/images/general/zabbix_bb.ico
X%%WWWDIR%%/images/general/zabbix_bb.png
X%%WWWDIR%%/images/general/zabbix_ob.ico
X%%WWWDIR%%/images/gradients/blink1.gif
X%%WWWDIR%%/images/gradients/blink2.gif
X%%WWWDIR%%/images/gradients/button.gif
X%%WWWDIR%%/images/gradients/gradient.png
X%%WWWDIR%%/images/gradients/menu_not_active.gif
X%%WWWDIR%%/images/gradients/menu_not_active_bb.gif
X%%WWWDIR%%/images/gradients/sla_green.png
X%%WWWDIR%%/images/gradients/sla_red.png
X%%WWWDIR%%/images/gradients/table_head.gif
X%%WWWDIR%%/images/gradients/table_head2.gif
X%%WWWDIR%%/images/gradients/table_head2_bb.gif
X%%WWWDIR%%/images/gradients/table_head_bb.gif
X%%WWWDIR%%/images/sysmaps/Hub.png
X%%WWWDIR%%/images/sysmaps/Hub_small.png
X%%WWWDIR%%/images/sysmaps/Network.png
X%%WWWDIR%%/images/sysmaps/Network_small.png
X%%WWWDIR%%/images/sysmaps/Notebook.png
X%%WWWDIR%%/images/sysmaps/Notebook_small.png
X%%WWWDIR%%/images/sysmaps/Phone.png
X%%WWWDIR%%/images/sysmaps/Phone_small.png
X%%WWWDIR%%/images/sysmaps/Printer.png
X%%WWWDIR%%/images/sysmaps/Printer_small.png
X%%WWWDIR%%/images/sysmaps/README
X%%WWWDIR%%/images/sysmaps/Router.png
X%%WWWDIR%%/images/sysmaps/Router_small.png
X%%WWWDIR%%/images/sysmaps/Satellite.png
X%%WWWDIR%%/images/sysmaps/Satellite_small.png
X%%WWWDIR%%/images/sysmaps/Server.png
X%%WWWDIR%%/images/sysmaps/Server_small.png
X%%WWWDIR%%/images/sysmaps/UPS.png
X%%WWWDIR%%/images/sysmaps/UPS_small.png
X%%WWWDIR%%/images/sysmaps/Workstation.png
X%%WWWDIR%%/images/sysmaps/Workstation_small.png
X%%WWWDIR%%/images/sysmaps/old/Hub.png
X%%WWWDIR%%/images/sysmaps/old/Notebook.png
X%%WWWDIR%%/images/sysmaps/old/Printer.png
X%%WWWDIR%%/images/sysmaps/old/Router.png
X%%WWWDIR%%/images/sysmaps/old/Server.png
X%%WWWDIR%%/images/sysmaps/old/Workstation.png
X%%WWWDIR%%/include/.htaccess
X%%WWWDIR%%/include/acknow.inc.php
X%%WWWDIR%%/include/actions.inc.php
X%%WWWDIR%%/include/audit.inc.php
X%%WWWDIR%%/include/blocks.inc.php
X%%WWWDIR%%/include/classes/.htaccess
X%%WWWDIR%%/include/classes/cbutton.inc.php
X%%WWWDIR%%/include/classes/ccheckbox.inc.php
X%%WWWDIR%%/include/classes/ccolor.inc.php
X%%WWWDIR%%/include/classes/ccombobox.inc.php
X%%WWWDIR%%/include/classes/cfile.inc.php
X%%WWWDIR%%/include/classes/cflash.inc.php
X%%WWWDIR%%/include/classes/cflashclock.mod.php
X%%WWWDIR%%/include/classes/cform.inc.php
X%%WWWDIR%%/include/classes/cformtable.inc.php
X%%WWWDIR%%/include/classes/chart.inc.php
X%%WWWDIR%%/include/classes/chelp.inc.php
X%%WWWDIR%%/include/classes/chostsinfo.mod.php
X%%WWWDIR%%/include/classes/ciframe.inc.php
X%%WWWDIR%%/include/classes/cimg.inc.php
X%%WWWDIR%%/include/classes/cldap.inc.php
X%%WWWDIR%%/include/classes/clink.inc.php
X%%WWWDIR%%/include/classes/clist.inc.php
X%%WWWDIR%%/include/classes/cmap.inc.php
X%%WWWDIR%%/include/classes/cpumenu.inc.php
X%%WWWDIR%%/include/classes/cscript.inc.php
X%%WWWDIR%%/include/classes/cserverinfo.mod.php
X%%WWWDIR%%/include/classes/cspan.inc.php
X%%WWWDIR%%/include/classes/ctable.inc.php
X%%WWWDIR%%/include/classes/ctableinfo.inc.php
X%%WWWDIR%%/include/classes/ctag.inc.php
X%%WWWDIR%%/include/classes/ctextarea.inc.php
X%%WWWDIR%%/include/classes/ctextbox.inc.php
X%%WWWDIR%%/include/classes/ctree.inc.php
X%%WWWDIR%%/include/classes/ctriggerinfo.mod.php
X%%WWWDIR%%/include/classes/curl.inc.php
X%%WWWDIR%%/include/classes/cvar.inc.php
X%%WWWDIR%%/include/classes/graph.inc.php
X%%WWWDIR%%/include/classes/pie.inc.php
X%%WWWDIR%%/include/config.inc.php
X%%WWWDIR%%/include/copt.lib.php
X%%WWWDIR%%/include/db.inc.php
X%%WWWDIR%%/include/defines.inc.php
X%%WWWDIR%%/include/discovery.inc.php
X%%WWWDIR%%/include/events.inc.php
X%%WWWDIR%%/include/export.inc.php
X%%WWWDIR%%/include/forms.inc.php
X%%WWWDIR%%/include/func.inc.php
X%%WWWDIR%%/include/graphs.inc.php
X%%WWWDIR%%/include/hosts.inc.php
X%%WWWDIR%%/include/html.inc.php
X%%WWWDIR%%/include/httptest.inc.php
X%%WWWDIR%%/include/images.inc.php
X%%WWWDIR%%/include/import.inc.php
X%%WWWDIR%%/include/items.inc.php
X%%WWWDIR%%/include/js.inc.php
X%%WWWDIR%%/include/locales.inc.php
X%%WWWDIR%%/include/locales/cn_zh.inc.php
X%%WWWDIR%%/include/locales/de_de.inc.php
X%%WWWDIR%%/include/locales/en_gb.inc.php
X%%WWWDIR%%/include/locales/fr_fr.inc.php
X%%WWWDIR%%/include/locales/hu_hu.inc.php
X%%WWWDIR%%/include/locales/it_it.inc.php
X%%WWWDIR%%/include/locales/ja_jp.inc.php
X%%WWWDIR%%/include/locales/ko_kr.inc.php
X%%WWWDIR%%/include/locales/lv_lv.inc.php
X%%WWWDIR%%/include/locales/nl_nl.inc.php
X%%WWWDIR%%/include/locales/pl_pl.inc.php
X%%WWWDIR%%/include/locales/pt_br.inc.php
X%%WWWDIR%%/include/locales/ru_ru.inc.php
X%%WWWDIR%%/include/locales/sp_sp.inc.php
X%%WWWDIR%%/include/locales/sv_se.inc.php
X%%WWWDIR%%/include/maps.inc.php
X%%WWWDIR%%/include/media.inc.php
X%%WWWDIR%%/include/nodes.inc.php
X%%WWWDIR%%/include/page_footer.php
X%%WWWDIR%%/include/page_header.php
X%%WWWDIR%%/include/perm.inc.php
X%%WWWDIR%%/include/profiles.inc.php
X%%WWWDIR%%/include/reports.inc.php
X%%WWWDIR%%/include/screens.inc.php
X%%WWWDIR%%/include/scripts.inc.php
X%%WWWDIR%%/include/services.inc.php
X%%WWWDIR%%/include/setup.inc.php
X%%WWWDIR%%/include/triggers.inc.php
X%%WWWDIR%%/include/users.inc.php
X%%WWWDIR%%/include/validate.inc.php
X%%WWWDIR%%/index.php
X%%WWWDIR%%/instal.php
X%%WWWDIR%%/items.php
X%%WWWDIR%%/js/ajax_req.js
X%%WWWDIR%%/js/calendar.js
X%%WWWDIR%%/js/common.js
X%%WWWDIR%%/js/gmenu.js
X%%WWWDIR%%/js/gpc.js
X%%WWWDIR%%/js/graphs.js
X%%WWWDIR%%/js/menu.js
X%%WWWDIR%%/js/menu_scripts.js
X%%WWWDIR%%/js/prototype.js
X%%WWWDIR%%/js/sbinit.js
X%%WWWDIR%%/js/sbox.js
X%%WWWDIR%%/js/scrollbar.js
X%%WWWDIR%%/js/services.js
X%%WWWDIR%%/js/showhint.js
X%%WWWDIR%%/js/tree.js
X%%WWWDIR%%/js/updater.js
X%%WWWDIR%%/latest.php
X%%WWWDIR%%/locales.php
X%%WWWDIR%%/map.php
X%%WWWDIR%%/maps.php
X%%WWWDIR%%/media_types.php
X%%WWWDIR%%/nodes.php
X%%WWWDIR%%/overview.php
X%%WWWDIR%%/popup.php
X%%WWWDIR%%/popup_gitem.php
X%%WWWDIR%%/popup_httpstep.php
X%%WWWDIR%%/popup_link_tr.php
X%%WWWDIR%%/popup_media.php
X%%WWWDIR%%/popup_right.php
X%%WWWDIR%%/popup_trexpr.php
X%%WWWDIR%%/popup_users.php
X%%WWWDIR%%/popup_usrgrp.php
X%%WWWDIR%%/profile.php
X%%WWWDIR%%/queue.php
X%%WWWDIR%%/report1.php
X%%WWWDIR%%/report2.php
X%%WWWDIR%%/report3.php
X%%WWWDIR%%/report4.php
X%%WWWDIR%%/report5.php
X%%WWWDIR%%/screenconf.php
X%%WWWDIR%%/screenedit.php
X%%WWWDIR%%/screens.php
X%%WWWDIR%%/scripts.php
X%%WWWDIR%%/scripts_exec.php
X%%WWWDIR%%/services.php
X%%WWWDIR%%/services_form.php
X%%WWWDIR%%/setup.php
X%%WWWDIR%%/srv_status.php
X%%WWWDIR%%/styles/blocks.css
X%%WWWDIR%%/styles/calendar.css
X%%WWWDIR%%/styles/css_bb.css
X%%WWWDIR%%/styles/css_ob.css
X%%WWWDIR%%/styles/default.css
X%%WWWDIR%%/styles/div.css
X%%WWWDIR%%/styles/form.css
X%%WWWDIR%%/styles/link.css
X%%WWWDIR%%/styles/p.css
X%%WWWDIR%%/styles/popupmenu.css
X%%WWWDIR%%/styles/table.css
X%%WWWDIR%%/styles/ul.css
X%%WWWDIR%%/sysmap.php
X%%WWWDIR%%/sysmaps.php
X%%WWWDIR%%/tr_comments.php
X%%WWWDIR%%/tr_events.php
X%%WWWDIR%%/tr_status.php
X%%WWWDIR%%/triggers.php
X%%WWWDIR%%/users.php
X%%WWWDIR%%/vtext.php
X%%WWWDIR%%/warning.php
X@dirrm %%WWWDIR%%/styles
X@dirrm %%WWWDIR%%/js
X@dirrm %%WWWDIR%%/include/locales
X@dirrm %%WWWDIR%%/include/classes
X@dirrm %%WWWDIR%%/include
X@dirrm %%WWWDIR%%/images/sysmaps/old
X@dirrm %%WWWDIR%%/images/sysmaps
X@dirrm %%WWWDIR%%/images/gradients
X@dirrm %%WWWDIR%%/images/general/tree
X@dirrm %%WWWDIR%%/images/general/bttn
X@dirrm %%WWWDIR%%/images/general/bar
X@dirrm %%WWWDIR%%/images/general
X@dirrm %%WWWDIR%%/images/flash
X@dirrm %%WWWDIR%%/images
X@dirrm %%WWWDIR%%/conf
X@dirrm %%WWWDIR%%/audio
X@dirrm %%WWWDIR%%
END-of-net-mgmt/zabbix16-server/pkg-plist.frontend
echo x - net-mgmt/zabbix16-server/pkg-plist.agent
sed 's/^X//' >net-mgmt/zabbix16-server/pkg-plist.agent << 'END-of-net-mgmt/zabbix16-server/pkg-plist.agent'
X@comment $FreeBSD$
X%%ETCDIR%%/zabbix_agent.conf.sample
X%%ETCDIR%%/zabbix_agentd.conf.sample
Xbin/zabbix_get
Xbin/zabbix_sender
Xsbin/zabbix_agent
Xsbin/zabbix_agentd
X@dirrmtry %%ETCDIR%%
END-of-net-mgmt/zabbix16-server/pkg-plist.agent
echo x - net-mgmt/zabbix16-server/pkg-descr
sed 's/^X//' >net-mgmt/zabbix16-server/pkg-descr << 'END-of-net-mgmt/zabbix16-server/pkg-descr'
XZabbix is an enterprise-class open source distributed monitoring
Xsolution.
X
XZabbix is software that monitors numerous parameters of a network and
Xthe health and integrity of servers. Zabbix uses a flexible
Xnotification mechanism that allows users to configure e-mail based
Xalerts for virtually any event. This allows a fast reaction to server
Xproblems. Zabbix offers excellent reporting and data visualisation
Xfeatures based on the stored data. This makes Zabbix ideal for
Xcapacity planning.
X
XWWW: http://www.zabbix.com/
END-of-net-mgmt/zabbix16-server/pkg-descr
exit

--- zabbix.shar ends here ---
Comment 7 Pav Lucistnik freebsd_committer 2009-12-13 22:28:41 UTC
State Changed
From-To: feedback->closed

Maintainer's patch committed
Comment 8 dfilter service freebsd_committer 2009-12-13 22:30:27 UTC
pav         2009-12-13 22:30:18 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED UPDATING 
    net-mgmt             Makefile 
    net-mgmt/zabbix-agent Makefile 
  Added files:
    net-mgmt/zabbix-frontend Makefile 
    net-mgmt/zabbix-proxy Makefile 
    net-mgmt/zabbix-server Makefile distinfo pkg-descr pkg-plist 
                           pkg-plist.agent pkg-plist.frontend 
    net-mgmt/zabbix-server/files pkg-message.in zabbix_agentd.in 
                                 zabbix_proxy.in zabbix_server.in 
    net-mgmt/zabbix16-agent Makefile 
    net-mgmt/zabbix16-frontend Makefile 
    net-mgmt/zabbix16-proxy Makefile 
    net-mgmt/zabbix16-server Makefile distinfo pkg-descr pkg-plist 
                             pkg-plist.agent pkg-plist.frontend 
    net-mgmt/zabbix16-server/files 
                                   patch-src-zabbix_get-Makefile.in 
                                   patch-src-zabbix_sender-Makefile.in 
                                   pkg-message.in zabbix_agentd.in 
                                   zabbix_proxy.in 
                                   zabbix_server.in 
  Removed files:
    net-mgmt/zabbix      Makefile distinfo pkg-descr pkg-install 
                         pkg-plist 
    net-mgmt/zabbix/files patch-configure pkg-message.in 
                          zabbix_proxy.in zabbix_server.sh.in 
    net-mgmt/zabbix-agent distinfo pkg-descr pkg-install 
    net-mgmt/zabbix-agent/files patch-configure zabbix_agentd.in 
  Log:
  - Update zabbix to 1.8
  - Split the port to server, frontend, agent and proxy slaves
  - Add zabbix16 for people who don't want to update to 1.8 yet
  
  PR:             ports/141364
  Submitted by:   Jim Riggs <ports@christianserving.org> (maintainer)
  
  Revision  Changes    Path
  1.2049    +2 -1      ports/MOVED
  1.874     +22 -1     ports/UPDATING
  1.208     +7 -1      ports/net-mgmt/Makefile
  1.30      +6 -33     ports/net-mgmt/zabbix-agent/Makefile
  1.16      +0 -3      ports/net-mgmt/zabbix-agent/distinfo (dead)
  1.5       +0 -12     ports/net-mgmt/zabbix-agent/files/patch-configure (dead)
  1.3       +0 -16     ports/net-mgmt/zabbix-agent/files/zabbix_agentd.in (dead)
  1.3       +0 -8      ports/net-mgmt/zabbix-agent/pkg-descr (dead)
  1.4       +0 -45     ports/net-mgmt/zabbix-agent/pkg-install (dead)
  1.1       +48 -0     ports/net-mgmt/zabbix-frontend/Makefile (new)
  1.1       +13 -0     ports/net-mgmt/zabbix-proxy/Makefile (new)
  1.1       +122 -0    ports/net-mgmt/zabbix-server/Makefile (new)
  1.1       +3 -0      ports/net-mgmt/zabbix-server/distinfo (new)
  1.1       +11 -0     ports/net-mgmt/zabbix-server/files/pkg-message.in (new)
  1.1       +26 -0     ports/net-mgmt/zabbix-server/files/zabbix_agentd.in (new)
  1.1       +26 -0     ports/net-mgmt/zabbix-server/files/zabbix_proxy.in (new)
  1.1       +26 -0     ports/net-mgmt/zabbix-server/files/zabbix_server.in (new)
  1.1       +12 -0     ports/net-mgmt/zabbix-server/pkg-descr (new)
  1.1       +56 -0     ports/net-mgmt/zabbix-server/pkg-plist (new)
  1.1       +8 -0      ports/net-mgmt/zabbix-server/pkg-plist.agent (new)
  1.1       +442 -0    ports/net-mgmt/zabbix-server/pkg-plist.frontend (new)
  1.68      +0 -133    ports/net-mgmt/zabbix/Makefile (dead)
  1.26      +0 -3      ports/net-mgmt/zabbix/distinfo (dead)
  1.5       +0 -12     ports/net-mgmt/zabbix/files/patch-configure (dead)
  1.4       +0 -7      ports/net-mgmt/zabbix/files/pkg-message.in (dead)
  1.2       +0 -16     ports/net-mgmt/zabbix/files/zabbix_proxy.in (dead)
  1.4       +0 -16     ports/net-mgmt/zabbix/files/zabbix_server.sh.in (dead)
  1.3       +0 -8      ports/net-mgmt/zabbix/pkg-descr (dead)
  1.4       +0 -45     ports/net-mgmt/zabbix/pkg-install (dead)
  1.25      +0 -368    ports/net-mgmt/zabbix/pkg-plist (dead)
  1.1       +19 -0     ports/net-mgmt/zabbix16-agent/Makefile (new)
  1.1       +47 -0     ports/net-mgmt/zabbix16-frontend/Makefile (new)
  1.1       +13 -0     ports/net-mgmt/zabbix16-proxy/Makefile (new)
  1.1       +118 -0    ports/net-mgmt/zabbix16-server/Makefile (new)
  1.1       +3 -0      ports/net-mgmt/zabbix16-server/distinfo (new)
  1.1       +11 -0     ports/net-mgmt/zabbix16-server/files/patch-src-zabbix_get-Makefile.in (new)
  1.1       +11 -0     ports/net-mgmt/zabbix16-server/files/patch-src-zabbix_sender-Makefile.in (new)
  1.1       +11 -0     ports/net-mgmt/zabbix16-server/files/pkg-message.in (new)
  1.1       +26 -0     ports/net-mgmt/zabbix16-server/files/zabbix_agentd.in (new)
  1.1       +26 -0     ports/net-mgmt/zabbix16-server/files/zabbix_proxy.in (new)
  1.1       +26 -0     ports/net-mgmt/zabbix16-server/files/zabbix_server.in (new)
  1.1       +12 -0     ports/net-mgmt/zabbix16-server/pkg-descr (new)
  1.1       +48 -0     ports/net-mgmt/zabbix16-server/pkg-plist (new)
  1.1       +8 -0      ports/net-mgmt/zabbix16-server/pkg-plist.agent (new)
  1.1       +322 -0    ports/net-mgmt/zabbix16-server/pkg-plist.frontend (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"